/*
 * THIS SOFTWARE IS SUBJECT TO A SOURCE CODE LICENSE AGREEMENT WHICH PROVIDES,
 AMONG OTHER THINGS:  (
 * i) THAT IT CAN BE USED ONLY TO ADAPT THE LICENSEE'S
 APPLICATION TO PAC PROCESSORS SUPPLIED BY ACTI
 * VE-SEMI INTERNATIONAL;
 (ii) THAT  IT IS PROVIDED "AS IS" WITHOUT WARRANTY;  (iii) THAT
 ACTIVE-SE
 * MICONDUCTOR IS NOT LIABLE FOR ANY INDIRECT DAMAGES OR FOR DIRECT
 DAMAGES EXCEEDING US$1,500;  AND 
 * (iv) THAT IT CAN BE DISCLOSED TO AND USED
 ONLY BY CERTAIN AUTHORIZED PERSONS.
 *
 * @file     PAC55XX.h
 * @brief    CMSIS HeaderFile
 * @version  1.0
 * @date     15. June 2017
 * @note     Generated by SVDConv V3.2.53 on Thursday, 15.06.2017 17:46:26
 *           from File 'PAC55XX.svd',
 *           last modified on Thursday, 15.06.2017 22:43:19
 */



/** @addtogroup Active-Semi
  * @{
  */


/** @addtogroup PAC55XX
  * @{
  */


#ifndef PAC55XX_H
#define PAC55XX_H

#ifdef __cplusplus
extern "C" {
#endif


/** @addtogroup Configuration_of_CMSIS
  * @{
  */



/* =========================================================================================================================== */
/* ================                                Interrupt Number Definition                                ================ */
/* =========================================================================================================================== */

typedef enum {
/* =======================================  ARM Cortex-M4 Specific Interrupt Numbers  ======================================== */
  Reset_IRQn                = -15,              /*!< -15  Reset Vector, invoked on Power up and warm reset                     */
  NonMaskableInt_IRQn       = -14,              /*!< -14  Non maskable Interrupt, cannot be stopped or preempted               */
  HardFault_IRQn            = -13,              /*!< -13  Hard Fault, all classes of Fault                                     */
  MemoryManagement_IRQn     = -12,              /*!< -12  Memory Management, MPU mismatch, including Access Violation
                                                      and No Match                                                             */
  BusFault_IRQn             = -11,              /*!< -11  Bus Fault, Pre-Fetch-, Memory Access Fault, other address/memory
                                                      related Fault                                                            */
  UsageFault_IRQn           = -10,              /*!< -10  Usage Fault, i.e. Undef Instruction, Illegal State Transition        */
  SVCall_IRQn               =  -5,              /*!< -5 System Service Call via SVC instruction                                */
  DebugMonitor_IRQn         =  -4,              /*!< -4 Debug Monitor                                                          */
  PendSV_IRQn               =  -2,              /*!< -2 Pendable request for system service                                    */
  SysTick_IRQn              =  -1,              /*!< -1 System Tick Timer                                                      */
/* ==========================================  PAC55XX Specific Interrupt Numbers  =========================================== */
  MEMCTL_IRQn               =   0,              /*!< 0  MEMCTL                                                                 */
  WWDT_IRQn                 =   1,              /*!< 1  WWDT                                                                   */
  RTC_IRQn                  =   2,              /*!< 2  RTC                                                                    */
  ADC0_IRQn                 =   3,              /*!< 3  ADC0                                                                   */
  ADC1_IRQn                 =   4,              /*!< 4  ADC1                                                                   */
  ADC2_IRQn                 =   5,              /*!< 5  ADC2                                                                   */
  ADC3_IRQn                 =   6,              /*!< 6  ADC3                                                                   */
  TIMERA_IRQn               =   7,              /*!< 7  TIMERA                                                                 */
  TIMERB_IRQn               =   8,              /*!< 8  TIMERB                                                                 */
  TIMERC_IRQn               =   9,              /*!< 9  TIMERC                                                                 */
  TIMERD_IRQn               =  10,              /*!< 10 TIMERD                                                                 */
  TIMERAQEP_IRQn            =  11,              /*!< 11 TIMERAQEP                                                              */
  TIMERBQEP_IRQn            =  12,              /*!< 12 TIMERBQEP                                                              */
  TIMERCQEP_IRQn            =  13,              /*!< 13 TIMERCQEP                                                              */
  TIMERDQEP_IRQn            =  14,              /*!< 14 TIMERDQEP                                                              */
  GPIOA_IRQn                =  15,              /*!< 15 GPIOA                                                                  */
  GPIOB_IRQn                =  16,              /*!< 16 GPIOB                                                                  */
  GPIOC_IRQn                =  17,              /*!< 17 GPIOC                                                                  */
  GPIOD_IRQn                =  18,              /*!< 18 GPIOD                                                                  */
  GPIOE_IRQn                =  19,              /*!< 19 GPIOE                                                                  */
  GPIOF_IRQn                =  20,              /*!< 20 GPIOF                                                                  */
  GPIOG_IRQn                =  21,              /*!< 21 GPIOG                                                                  */
  I2C_IRQn                  =  22,              /*!< 22 I2C                                                                    */
  USARTA_IRQn               =  23,              /*!< 23 USARTA                                                                 */
  USARTB_IRQn               =  24,              /*!< 24 USARTB                                                                 */
  USARTC_IRQn               =  25,              /*!< 25 USARTC                                                                 */
  USARTD_IRQn               =  26,              /*!< 26 USARTD                                                                 */
  CAN_IRQn                  =  27,              /*!< 27 CAN                                                                    */
  GPTIMERA_IRQn             =  28,              /*!< 28 GPTIMERA                                                               */
  GPTIMERB_IRQn             =  29,              /*!< 29 GPTIMERB                                                               */
  SCC_IRQn                  =  30               /*!< 30 SCC                                                                    */
} IRQn_Type;



/* =========================================================================================================================== */
/* ================                           Processor and Core Peripheral Section                           ================ */
/* =========================================================================================================================== */

/* ===========================  Configuration of the ARM Cortex-M4 Processor and Core Peripherals  =========================== */
#define __CM4_REV                 0x0001U       /*!< CM4 Core Revision                                                         */
#define __NVIC_PRIO_BITS               3        /*!< Number of Bits used for Priority Levels                                   */
#define __Vendor_SysTickConfig         1        /*!< Set to 1 if different SysTick Config is used                              */
#define __MPU_PRESENT                  1        /*!< MPU present or not                                                        */
#define __FPU_PRESENT                  1        /*!< FPU present or not                                                        */


/** @} */ /* End of group Configuration_of_CMSIS */

#include "core_cm4.h"                           /*!< ARM Cortex-M4 processor and core peripherals                              */
#include "system_PAC55XX.h"                     /*!< PAC55XX System                                                            */

#ifndef __IM                                    /*!< Fallback for older CMSIS versions                                         */
  #define __IM   __I
#endif
#ifndef __OM                                    /*!< Fallback for older CMSIS versions                                         */
  #define __OM   __O
#endif
#ifndef __IOM                                   /*!< Fallback for older CMSIS versions                                         */
  #define __IOM  __IO
#endif


/* ========================================  Start of section using anonymous unions  ======================================== */
#if defined (__CC_ARM)
  #pragma push
  #pragma anon_unions
#elif defined (__ICCARM__)
  #pragma language=extended
#elif defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 6010050)
  #pragma clang diagnostic push
  #pragma clang diagnostic ignored "-Wc11-extensions"
  #pragma clang diagnostic ignored "-Wreserved-id-macro"
#elif defined (__GNUC__)
  /* anonymous unions are enabled by default */
#elif defined (__TMS470__)
  /* anonymous unions are enabled by default */
#elif defined (__TASKING__)
  #pragma warning 586
#elif defined (__CSMC__)
  /* anonymous unions are enabled by default */
#else
  #warning Not supported compiler type
#endif


/* =========================================================================================================================== */
/* ================                            Device Specific Peripheral Section                             ================ */
/* =========================================================================================================================== */


/** @addtogroup Device_Peripheral_peripherals
  * @{
  */



/* =========================================================================================================================== */
/* ================                                            ADC                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief 2.5 MSPS, 12-bit SAR ADC (ADC)
  */

typedef struct {                                /*!< (@ 0x40000000) ADC Structure                                              */
  __IOM uint32_t  EMUXCTL;                      /*!< (@ 0x00000000) EMUX Control                                               */
  __IOM uint32_t  EMUXDATA;                     /*!< (@ 0x00000004) EMUX Data                                                  */
  __IOM uint32_t  ADCCTL;                       /*!< (@ 0x00000008) ADC Control                                                */
  __IOM uint32_t  ADCRES;                       /*!< (@ 0x0000000C) ADC Result                                                 */
  __IOM uint32_t  ADCINT;                       /*!< (@ 0x00000010) ADC Interrupt Control                                      */
  __IM  uint32_t  RESERVED[11];
  __IOM uint32_t  DTSETRIGENT0TO3;              /*!< (@ 0x00000040) DTSE Trigger Entry 0 to 3                                  */
  __IOM uint32_t  DTSETRIGENT4TO7;              /*!< (@ 0x00000044) DTSE Trigger Entry 4 to 7                                  */
  __IOM uint32_t  DTSETRIGENT8TO11;             /*!< (@ 0x00000048) DTSE Trigger Entry 8 to 11                                 */
  __IOM uint32_t  DTSETRIGENT12TO15;            /*!< (@ 0x0000004C) DTSE Trigger Entry 12 to 15                                */
  __IOM uint32_t  DTSETRIGENT16TO19;            /*!< (@ 0x00000050) DTSE Trigger Entry 16 to 19                                */
  __IOM uint32_t  DTSETRIGENT20TO23;            /*!< (@ 0x00000054) DTSE Trigger Entry 20 to 23                                */
  __IOM uint32_t  DTSETRIGENT24TO27;            /*!< (@ 0x00000058) DTSE Trigger Entry 24 to 27                                */
  __IOM uint32_t  DTSETRIGENT28TO31;            /*!< (@ 0x0000005C) DTSE Trigger Entry 28 to 31                                */
  __IM  uint32_t  RESERVED1[8];
  __IOM uint32_t  DTSESEQCFG0;                  /*!< (@ 0x00000080) DTSE Sequence Config 0                                     */
  __IOM uint32_t  DTSESEQCFG1;                  /*!< (@ 0x00000084) DTSE Sequence Config 1                                     */
  __IOM uint32_t  DTSESEQCFG2;                  /*!< (@ 0x00000088) DTSE Sequence Config 2                                     */
  __IOM uint32_t  DTSESEQCFG3;                  /*!< (@ 0x0000008C) DTSE Sequence Config 3                                     */
  __IOM uint32_t  DTSESEQCFG4;                  /*!< (@ 0x00000090) DTSE Sequence Config 4                                     */
  __IOM uint32_t  DTSESEQCFG5;                  /*!< (@ 0x00000094) DTSE Sequence Config 5                                     */
  __IOM uint32_t  DTSESEQCFG6;                  /*!< (@ 0x00000098) DTSE Sequence Config 6                                     */
  __IOM uint32_t  DTSESEQCFG7;                  /*!< (@ 0x0000009C) DTSE Sequence Config 7                                     */
  __IM  uint32_t  RESERVED2[24];
  __IOM uint32_t  DTSESEQCFG8;                  /*!< (@ 0x00000100) DTSE Sequence Config 8                                     */
  __IOM uint32_t  DTSESEQCFG9;                  /*!< (@ 0x00000104) DTSE Sequence Config 9                                     */
  __IOM uint32_t  DTSESEQCFG10;                 /*!< (@ 0x00000108) DTSE Sequence Config 10                                    */
  __IOM uint32_t  DTSESEQCFG11;                 /*!< (@ 0x0000010C) DTSE Sequence Config 11                                    */
  __IOM uint32_t  DTSESEQCFG12;                 /*!< (@ 0x00000110) DTSE Sequence Config 12                                    */
  __IOM uint32_t  DTSESEQCFG13;                 /*!< (@ 0x00000114) DTSE Sequence Config 13                                    */
  __IOM uint32_t  DTSESEQCFG14;                 /*!< (@ 0x00000118) DTSE Sequence Config 14                                    */
  __IOM uint32_t  DTSESEQCFG15;                 /*!< (@ 0x0000011C) DTSE Sequence Config 15                                    */
  __IOM uint32_t  DTSESEQCFG16;                 /*!< (@ 0x00000120) DTSE Sequence Config 16                                    */
  __IOM uint32_t  DTSESEQCFG17;                 /*!< (@ 0x00000124) DTSE Sequence Config 17                                    */
  __IOM uint32_t  DTSESEQCFG18;                 /*!< (@ 0x00000128) DTSE Sequence Config 18                                    */
  __IOM uint32_t  DTSESEQCFG19;                 /*!< (@ 0x0000012C) DTSE Sequence Config 19                                    */
  __IOM uint32_t  DTSESEQCFG20;                 /*!< (@ 0x00000130) DTSE Sequence Config 20                                    */
  __IOM uint32_t  DTSESEQCFG21;                 /*!< (@ 0x00000134) DTSE Sequence Config 21                                    */
  __IOM uint32_t  DTSESEQCFG22;                 /*!< (@ 0x00000138) DTSE Sequence Config 22                                    */
  __IOM uint32_t  DTSESEQCFG23;                 /*!< (@ 0x0000013C) DTSE Sequence Config 23                                    */
  __IM  uint32_t  RESERVED3[48];
  __IOM uint32_t  DTSERES0;                     /*!< (@ 0x00000200) DTSE Result 0                                              */
  __IOM uint32_t  DTSERES1;                     /*!< (@ 0x00000204) DTSE Result 1                                              */
  __IOM uint32_t  DTSERES2;                     /*!< (@ 0x00000208) DTSE Result 2                                              */
  __IOM uint32_t  DTSERES3;                     /*!< (@ 0x0000020C) DTSE Result 3                                              */
  __IOM uint32_t  DTSERES4;                     /*!< (@ 0x00000210) DTSE Result 4                                              */
  __IOM uint32_t  DTSERES5;                     /*!< (@ 0x00000214) DTSE Result 5                                              */
  __IOM uint32_t  DTSERES6;                     /*!< (@ 0x00000218) DTSE Result 6                                              */
  __IOM uint32_t  DTSERES7;                     /*!< (@ 0x0000021C) DTSE Result 7                                              */
  __IOM uint32_t  DTSERES8;                     /*!< (@ 0x00000220) DTSE Result 8                                              */
  __IOM uint32_t  DTSERES9;                     /*!< (@ 0x00000224) DTSE Result 9                                              */
  __IOM uint32_t  DTSERES10;                    /*!< (@ 0x00000228) DTSE Result 10                                             */
  __IOM uint32_t  DTSERES11;                    /*!< (@ 0x0000022C) DTSE Result 11                                             */
  __IOM uint32_t  DTSERES12;                    /*!< (@ 0x00000230) DTSE Result 12                                             */
  __IOM uint32_t  DTSERES13;                    /*!< (@ 0x00000234) DTSE Result 13                                             */
  __IOM uint32_t  DTSERES14;                    /*!< (@ 0x00000238) DTSE Result 14                                             */
  __IOM uint32_t  DTSERES15;                    /*!< (@ 0x0000023C) DTSE Result 15                                             */
  __IOM uint32_t  DTSERES16;                    /*!< (@ 0x00000240) DTSE Result 16                                             */
  __IOM uint32_t  DTSERES17;                    /*!< (@ 0x00000244) DTSE Result 17                                             */
  __IOM uint32_t  DTSERES18;                    /*!< (@ 0x00000248) DTSE Result 18                                             */
  __IOM uint32_t  DTSERES19;                    /*!< (@ 0x0000024C) DTSE Result 19                                             */
  __IOM uint32_t  DTSERES20;                    /*!< (@ 0x00000250) DTSE Result 20                                             */
  __IOM uint32_t  DTSERES21;                    /*!< (@ 0x00000254) DTSE Result 21                                             */
  __IOM uint32_t  DTSERES22;                    /*!< (@ 0x00000258) DTSE Result 22                                             */
  __IOM uint32_t  DTSERES23;                    /*!< (@ 0x0000025C) DTSE Result 23                                             */
} ADC_Type;                                     /*!< Size = 608 (0x260)                                                        */



/* =========================================================================================================================== */
/* ================                                            I2C                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief I2C (I2C)
  */

typedef struct {                                /*!< (@ 0x40010000) I2C Structure                                              */
  __IOM uint32_t  CONSET;                       /*!< (@ 0x00000000) I2C Control Set                                            */
  __IOM uint32_t  CONCLR;                       /*!< (@ 0x00000004) I2C Control Clear                                          */
  __IOM uint32_t  STAT;                         /*!< (@ 0x00000008) I2C Status                                                 */
  __IOM uint32_t  DAT;                          /*!< (@ 0x0000000C) I2C Data                                                   */
  __IOM uint32_t  CLK;                          /*!< (@ 0x00000010) I2C Clock Control                                          */
  __IOM uint32_t  ADR0;                         /*!< (@ 0x00000014) I2C Slave Address 0                                        */
  __IOM uint32_t  ADRM0;                        /*!< (@ 0x00000018) I2C Slave Address Mask 0                                   */
  __IOM uint32_t  XADR0;                        /*!< (@ 0x0000001C) I2C Extended Slave Address 0                               */
  __IOM uint32_t  XADRM0;                       /*!< (@ 0x00000020) I2C Extended Slave Address Mask 0                          */
  __IOM uint32_t  RST;                          /*!< (@ 0x00000024) I2C Software Reset                                         */
  __IOM uint32_t  ADR1;                         /*!< (@ 0x00000028) I2C Slave Address 1                                        */
  __IOM uint32_t  ADRM1;                        /*!< (@ 0x0000002C) I2C Slave Address Mask 1                                   */
  __IOM uint32_t  ADR2;                         /*!< (@ 0x00000030) I2C Slave Address 2                                        */
  __IOM uint32_t  ADRM2;                        /*!< (@ 0x00000034) I2C Slave Address Mask 2                                   */
  __IOM uint32_t  ADR3;                         /*!< (@ 0x00000038) I2C Slave Address 3                                        */
  __IOM uint32_t  ADRM3;                        /*!< (@ 0x0000003C) I2C Slave Address Mask 3                                   */
} I2C_Type;                                     /*!< Size = 64 (0x40)                                                          */



/* =========================================================================================================================== */
/* ================                                          USARTA                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief USART A (USARTA)
  */

typedef struct {                                /*!< (@ 0x40020000) USARTA Structure                                           */
  __IOM uint32_t  RBR_CON;                      /*!< (@ 0x00000000) UART A Receive Buffer / SSP A Control                      */
  __IOM uint32_t  THR_STAT;                     /*!< (@ 0x00000004) UART A Transmit Holding / SSP A Status                     */
  __IOM uint32_t  DRL_DAT;                      /*!< (@ 0x00000008) UART A Divisor Latch / SSP A Data                          */
  __IOM uint32_t  IER_CLK;                      /*!< (@ 0x0000000C) UART A Interrupt Enable / SSP A Clock Control              */
  __IOM uint32_t  IIR_IMSC;                     /*!< (@ 0x00000010) UART A Interrupt Identification / SSP A Interrupt
                                                                    Mask Set and Clear                                         */
  __IOM uint32_t  FCR_RIS;                      /*!< (@ 0x00000014) UART A FIFO Control / SSP A Raw Interrupt Status           */
  __IOM uint32_t  LCR_MIS;                      /*!< (@ 0x00000018) UART A Line Control / SSP A Masked Interrupt
                                                                    Status                                                     */
  __IOM uint32_t  ICLR;                         /*!< (@ 0x0000001C) SSP A Interrupt Clear                                      */
  __IOM uint32_t  LSR;                          /*!< (@ 0x00000020) UART A Line Status                                         */
  __IM  uint32_t  RESERVED;
  __IOM uint32_t  SCR_SSCR;                     /*!< (@ 0x00000028) UART A Scratch Pad / SSP A Slave Select Configuration      */
  __IOM uint32_t  EFR;                          /*!< (@ 0x0000002C) Enhanced Feature                                           */
} USARTA_Type;                                  /*!< Size = 48 (0x30)                                                          */



/* =========================================================================================================================== */
/* ================                                          USARTB                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief USART B (USARTB)
  */

typedef struct {                                /*!< (@ 0x40030000) USARTB Structure                                           */
  __IOM uint32_t  RBR_CON;                      /*!< (@ 0x00000000) UART B Receive Buffer / SSP B Control                      */
  __IOM uint32_t  THR_STAT;                     /*!< (@ 0x00000004) UART B Transmit Holding / SSP B Status                     */
  __IOM uint32_t  DRL_DAT;                      /*!< (@ 0x00000008) UART B Divisor Latch / SSP B Data                          */
  __IOM uint32_t  IER_CLK;                      /*!< (@ 0x0000000C) UART B Interrupt Enable / SSP B Clock Control              */
  __IOM uint32_t  IIR_IMSC;                     /*!< (@ 0x00000010) UART B Interrupt Identification / SSP B Interrupt
                                                                    Mask Set and Clear                                         */
  __IOM uint32_t  FCR_RIS;                      /*!< (@ 0x00000014) UART B FIFO Control / SSP B Raw Interrupt Status           */
  __IOM uint32_t  LCR_MIS;                      /*!< (@ 0x00000018) UART B Line Control / SSP B Masked Interrupt
                                                                    Status                                                     */
  __IOM uint32_t  ICLR;                         /*!< (@ 0x0000001C) SSP B Interrupt Clear                                      */
  __IOM uint32_t  LSR;                          /*!< (@ 0x00000020) UART B Line Status                                         */
  __IM  uint32_t  RESERVED;
  __IOM uint32_t  SCR_SSCR;                     /*!< (@ 0x00000028) UART B Scratch Pad / SSP B Slave Select Configuration      */
  __IOM uint32_t  EFR;                          /*!< (@ 0x0000002C) Enhanced Feature                                           */
} USARTB_Type;                                  /*!< Size = 48 (0x30)                                                          */



/* =========================================================================================================================== */
/* ================                                          USARTC                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief USART C (USARTC)
  */

typedef struct {                                /*!< (@ 0x40040000) USARTC Structure                                           */
  __IOM uint32_t  RBR_CON;                      /*!< (@ 0x00000000) UART C Receive Buffer / SSP C Control                      */
  __IOM uint32_t  THR_STAT;                     /*!< (@ 0x00000004) UART C Transmit Holding / SSP C Status                     */
  __IOM uint32_t  DRL_DAT;                      /*!< (@ 0x00000008) UART C Divisor Latch / SSP C Data                          */
  __IOM uint32_t  IER_CLK;                      /*!< (@ 0x0000000C) UART C Interrupt Enable / SSP C Clock Control              */
  __IOM uint32_t  IIR_IMSC;                     /*!< (@ 0x00000010) UART C Interrupt Identification / SSP C Interrupt
                                                                    Mask Set and Clear                                         */
  __IOM uint32_t  FCR_RIS;                      /*!< (@ 0x00000014) UART C FIFO Control / SSP C Raw Interrupt Status           */
  __IOM uint32_t  LCR_MIS;                      /*!< (@ 0x00000018) UART C Line Control / SSP C Masked Interrupt
                                                                    Status                                                     */
  __IOM uint32_t  ICLR;                         /*!< (@ 0x0000001C) SSP C Interrupt Clear                                      */
  __IOM uint32_t  LSR;                          /*!< (@ 0x00000020) UART C Line Status                                         */
  __IM  uint32_t  RESERVED;
  __IOM uint32_t  SCR_SSCR;                     /*!< (@ 0x00000028) UART C Scratch Pad / SSP C Slave Select Configuration      */
  __IOM uint32_t  EFR;                          /*!< (@ 0x0000002C) Enhanced Feature                                           */
} USARTC_Type;                                  /*!< Size = 48 (0x30)                                                          */



/* =========================================================================================================================== */
/* ================                                          USARTD                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief USART D (USARTD)
  */

typedef struct {                                /*!< (@ 0x40050000) USARTD Structure                                           */
  __IOM uint32_t  RBR_CON;                      /*!< (@ 0x00000000) UART D Receive Buffer / SSP D Control                      */
  __IOM uint32_t  THR_STAT;                     /*!< (@ 0x00000004) UART D Transmit Holding / SSP D Status                     */
  __IOM uint32_t  DRL_DAT;                      /*!< (@ 0x00000008) UART D Divisor Latch / SSP D Data                          */
  __IOM uint32_t  IER_CLK;                      /*!< (@ 0x0000000C) UART D Interrupt Enable / SSP D Clock Control              */
  __IOM uint32_t  IIR_IMSC;                     /*!< (@ 0x00000010) UART D Interrupt Identification / SSP D Interrupt
                                                                    Mask Set and Clear                                         */
  __IOM uint32_t  FCR_RIS;                      /*!< (@ 0x00000014) UART D FIFO Control / SSP D Raw Interrupt Status           */
  __IOM uint32_t  LCR_MIS;                      /*!< (@ 0x00000018) UART D Line Control / SSP D Masked Interrupt
                                                                    Status                                                     */
  __IOM uint32_t  ICLR;                         /*!< (@ 0x0000001C) SSP D Interrupt Clear                                      */
  __IOM uint32_t  LSR;                          /*!< (@ 0x00000020) UART D Line Status                                         */
  __IM  uint32_t  RESERVED;
  __IOM uint32_t  SCR_SSCR;                     /*!< (@ 0x00000028) UART D Scratch Pad / SSP D Slave Select Configuration      */
  __IOM uint32_t  EFR;                          /*!< (@ 0x0000002C) Enhanced Feature                                           */
} USARTD_Type;                                  /*!< Size = 48 (0x30)                                                          */



/* =========================================================================================================================== */
/* ================                                          TimerA                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief Timer A (TimerA)
  */

typedef struct {                                /*!< (@ 0x40060000) TimerA Structure                                           */
  __IOM uint32_t  CTL;                          /*!< (@ 0x00000000) Timer A Control                                            */
  __IOM uint32_t  INT;                          /*!< (@ 0x00000004) Timer A Interrupt Control                                  */
  __IOM uint32_t  PRD;                          /*!< (@ 0x00000008) Timer A Period                                             */
  __IOM uint32_t  CTR;                          /*!< (@ 0x0000000C) Timer A Counter                                            */
  __IOM uint32_t  QEPCTL;                       /*!< (@ 0x00000010) Timer A QEP Control                                        */
  __IM  uint32_t  RESERVED[59];
  __IOM uint32_t  CCTL0;                        /*!< (@ 0x00000100) Timer A CC Control 0                                       */
  __IOM uint32_t  CCTR0;                        /*!< (@ 0x00000104) Timer A CC Counter 0                                       */
  __IOM uint32_t  CCTL1;                        /*!< (@ 0x00000108) Timer A CC Control 1                                       */
  __IOM uint32_t  CCTR1;                        /*!< (@ 0x0000010C) Timer A CC Counter 1                                       */
  __IOM uint32_t  CCTL2;                        /*!< (@ 0x00000110) Timer A CC Control 2                                       */
  __IOM uint32_t  CCTR2;                        /*!< (@ 0x00000114) Timer A CC Counter 2                                       */
  __IOM uint32_t  CCTL3;                        /*!< (@ 0x00000118) Timer A CC Control 3                                       */
  __IOM uint32_t  CCTR3;                        /*!< (@ 0x0000011C) Timer A CC Counter 3                                       */
  __IOM uint32_t  CCTL4;                        /*!< (@ 0x00000120) Timer A CC Control 4                                       */
  __IOM uint32_t  CCTR4;                        /*!< (@ 0x00000124) Timer A CC Counter 4                                       */
  __IOM uint32_t  CCTL5;                        /*!< (@ 0x00000128) Timer A CC Control 5                                       */
  __IOM uint32_t  CCTR5;                        /*!< (@ 0x0000012C) Timer A CC Counter 5                                       */
  __IOM uint32_t  CCTL6;                        /*!< (@ 0x00000130) Timer A CC Control 6                                       */
  __IOM uint32_t  CCTR6;                        /*!< (@ 0x00000134) Timer A CC Counter 6                                       */
  __IOM uint32_t  CCTL7;                        /*!< (@ 0x00000138) Timer A CC Control 7                                       */
  __IOM uint32_t  CCTR7;                        /*!< (@ 0x0000013C) Timer A CC Counter 7                                       */
  __IM  uint32_t  RESERVED1[48];
  __IOM uint32_t  DTGCTL0;                      /*!< (@ 0x00000200) Timer A DTG Control 0                                      */
  __IOM uint32_t  DTGCTL1;                      /*!< (@ 0x00000204) Timer A DTG Control 1                                      */
  __IOM uint32_t  DTGCTL2;                      /*!< (@ 0x00000208) Timer A DTG Control 2                                      */
  __IOM uint32_t  DTGCTL3;                      /*!< (@ 0x0000020C) Timer A DTG Control 3                                      */
} TimerA_Type;                                  /*!< Size = 528 (0x210)                                                        */



/* =========================================================================================================================== */
/* ================                                          TimerB                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief Timer B (TimerB)
  */

typedef struct {                                /*!< (@ 0x40070000) TimerB Structure                                           */
  __IOM uint32_t  CTL;                          /*!< (@ 0x00000000) Timer B Control                                            */
  __IOM uint32_t  INT;                          /*!< (@ 0x00000004) Timer B Interrupt Control                                  */
  __IOM uint32_t  PRD;                          /*!< (@ 0x00000008) Timer B Period                                             */
  __IOM uint32_t  CTR;                          /*!< (@ 0x0000000C) Timer B Counter                                            */
  __IOM uint32_t  QEPCTL;                       /*!< (@ 0x00000010) Timer B QEP Control                                        */
  __IM  uint32_t  RESERVED[59];
  __IOM uint32_t  CCTL0;                        /*!< (@ 0x00000100) Timer B CC Control 0                                       */
  __IOM uint32_t  CCTR0;                        /*!< (@ 0x00000104) Timer B CC Counter 0                                       */
  __IOM uint32_t  CCTL1;                        /*!< (@ 0x00000108) Timer B CC Control 1                                       */
  __IOM uint32_t  CCTR1;                        /*!< (@ 0x0000010C) Timer B CC Counter 1                                       */
  __IOM uint32_t  CCTL2;                        /*!< (@ 0x00000110) Timer B CC Control 2                                       */
  __IOM uint32_t  CCTR2;                        /*!< (@ 0x00000114) Timer B CC Counter 2                                       */
  __IOM uint32_t  CCTL3;                        /*!< (@ 0x00000118) Timer B CC Control 3                                       */
  __IOM uint32_t  CCTR3;                        /*!< (@ 0x0000011C) Timer B CC Counter 3                                       */
  __IOM uint32_t  CCTL4;                        /*!< (@ 0x00000120) Timer B CC Control 4                                       */
  __IOM uint32_t  CCTR4;                        /*!< (@ 0x00000124) Timer B CC Counter 4                                       */
  __IOM uint32_t  CCTL5;                        /*!< (@ 0x00000128) Timer B CC Control 5                                       */
  __IOM uint32_t  CCTR5;                        /*!< (@ 0x0000012C) Timer B CC Counter 5                                       */
  __IOM uint32_t  CCTL6;                        /*!< (@ 0x00000130) Timer B CC Control 6                                       */
  __IOM uint32_t  CCTR6;                        /*!< (@ 0x00000134) Timer B CC Counter 6                                       */
  __IOM uint32_t  CCTL7;                        /*!< (@ 0x00000138) Timer B CC Control 7                                       */
  __IOM uint32_t  CCTR7;                        /*!< (@ 0x0000013C) Timer B CC Counter 7                                       */
  __IM  uint32_t  RESERVED1[48];
  __IOM uint32_t  DTGCTL0;                      /*!< (@ 0x00000200) Timer B DTG Control 0                                      */
  __IOM uint32_t  DTGCTL1;                      /*!< (@ 0x00000204) Timer B DTG Control 1                                      */
  __IOM uint32_t  DTGCTL2;                      /*!< (@ 0x00000208) Timer B DTG Control 2                                      */
  __IOM uint32_t  DTGCTL3;                      /*!< (@ 0x0000020C) Timer B DTG Control 3                                      */
} TimerB_Type;                                  /*!< Size = 528 (0x210)                                                        */



/* =========================================================================================================================== */
/* ================                                          TimerC                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief Timer C (TimerC)
  */

typedef struct {                                /*!< (@ 0x40080000) TimerC Structure                                           */
  __IOM uint32_t  CTL;                          /*!< (@ 0x00000000) Timer C Control                                            */
  __IOM uint32_t  INT;                          /*!< (@ 0x00000004) Timer C Interrupt Control                                  */
  __IOM uint32_t  PRD;                          /*!< (@ 0x00000008) Timer C Period                                             */
  __IOM uint32_t  CTR;                          /*!< (@ 0x0000000C) Timer C Counter                                            */
  __IOM uint32_t  QEPCTL;                       /*!< (@ 0x00000010) Timer C QEP Control                                        */
  __IM  uint32_t  RESERVED[59];
  __IOM uint32_t  CCTL0;                        /*!< (@ 0x00000100) Timer C CC Control 0                                       */
  __IOM uint32_t  CCTR0;                        /*!< (@ 0x00000104) Timer C CC Counter 0                                       */
  __IOM uint32_t  CCTL1;                        /*!< (@ 0x00000108) Timer C CC Control 1                                       */
  __IOM uint32_t  CCTR1;                        /*!< (@ 0x0000010C) Timer C CC Counter 1                                       */
  __IOM uint32_t  CCTL2;                        /*!< (@ 0x00000110) Timer C CC Control 2                                       */
  __IOM uint32_t  CCTR2;                        /*!< (@ 0x00000114) Timer C CC Counter 2                                       */
  __IOM uint32_t  CCTL3;                        /*!< (@ 0x00000118) Timer C CC Control 3                                       */
  __IOM uint32_t  CCTR3;                        /*!< (@ 0x0000011C) Timer C CC Counter 3                                       */
  __IOM uint32_t  CCTL4;                        /*!< (@ 0x00000120) Timer C CC Control 4                                       */
  __IOM uint32_t  CCTR4;                        /*!< (@ 0x00000124) Timer C CC Counter 4                                       */
  __IOM uint32_t  CCTL5;                        /*!< (@ 0x00000128) Timer C CC Control 5                                       */
  __IOM uint32_t  CCTR5;                        /*!< (@ 0x0000012C) Timer C CC Counter 5                                       */
  __IOM uint32_t  CCTL6;                        /*!< (@ 0x00000130) Timer C CC Control 6                                       */
  __IOM uint32_t  CCTR6;                        /*!< (@ 0x00000134) Timer C CC Counter 6                                       */
  __IOM uint32_t  CCTL7;                        /*!< (@ 0x00000138) Timer C CC Control 7                                       */
  __IOM uint32_t  CCTR7;                        /*!< (@ 0x0000013C) Timer C CC Counter 7                                       */
  __IM  uint32_t  RESERVED1[48];
  __IOM uint32_t  DTGCTL0;                      /*!< (@ 0x00000200) Timer C DTG Control 0                                      */
  __IOM uint32_t  DTGCTL1;                      /*!< (@ 0x00000204) Timer C DTG Control 1                                      */
  __IOM uint32_t  DTGCTL2;                      /*!< (@ 0x00000208) Timer C DTG Control 2                                      */
  __IOM uint32_t  DTGCTL3;                      /*!< (@ 0x0000020C) Timer C DTG Control 3                                      */
} TimerC_Type;                                  /*!< Size = 528 (0x210)                                                        */



/* =========================================================================================================================== */
/* ================                                          TimerD                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief Timer D (TimerD)
  */

typedef struct {                                /*!< (@ 0x40090000) TimerD Structure                                           */
  __IOM uint32_t  CTL;                          /*!< (@ 0x00000000) Timer D Control                                            */
  __IOM uint32_t  INT;                          /*!< (@ 0x00000004) Timer D Interrupt Control                                  */
  __IOM uint32_t  PRD;                          /*!< (@ 0x00000008) Timer D Period                                             */
  __IOM uint32_t  CTR;                          /*!< (@ 0x0000000C) Timer D Counter                                            */
  __IOM uint32_t  QEPCTL;                       /*!< (@ 0x00000010) Timer D QEP Control                                        */
  __IM  uint32_t  RESERVED[59];
  __IOM uint32_t  CCTL0;                        /*!< (@ 0x00000100) Timer D CC Control 0                                       */
  __IOM uint32_t  CCTR0;                        /*!< (@ 0x00000104) Timer D CC Counter 0                                       */
  __IOM uint32_t  CCTL1;                        /*!< (@ 0x00000108) Timer D CC Control 1                                       */
  __IOM uint32_t  CCTR1;                        /*!< (@ 0x0000010C) Timer D CC Counter 1                                       */
  __IOM uint32_t  CCTL2;                        /*!< (@ 0x00000110) Timer D CC Control 2                                       */
  __IOM uint32_t  CCTR2;                        /*!< (@ 0x00000114) Timer D CC Counter 2                                       */
  __IOM uint32_t  CCTL3;                        /*!< (@ 0x00000118) Timer D CC Control 3                                       */
  __IOM uint32_t  CCTR3;                        /*!< (@ 0x0000011C) Timer D CC Counter 3                                       */
  __IOM uint32_t  CCTL4;                        /*!< (@ 0x00000120) Timer D CC Control 4                                       */
  __IOM uint32_t  CCTR4;                        /*!< (@ 0x00000124) Timer D CC Counter 4                                       */
  __IOM uint32_t  CCTL5;                        /*!< (@ 0x00000128) Timer D CC Control 5                                       */
  __IOM uint32_t  CCTR5;                        /*!< (@ 0x0000012C) Timer D CC Counter 5                                       */
  __IOM uint32_t  CCTL6;                        /*!< (@ 0x00000130) Timer D CC Control 6                                       */
  __IOM uint32_t  CCTR6;                        /*!< (@ 0x00000134) Timer D CC Counter 6                                       */
  __IOM uint32_t  CCTL7;                        /*!< (@ 0x00000138) Timer D CC Control 7                                       */
  __IOM uint32_t  CCTR7;                        /*!< (@ 0x0000013C) Timer D CC Counter 7                                       */
  __IM  uint32_t  RESERVED1[48];
  __IOM uint32_t  DTGCTL0;                      /*!< (@ 0x00000200) Timer D DTG Control 0                                      */
  __IOM uint32_t  DTGCTL1;                      /*!< (@ 0x00000204) Timer D DTG Control 1                                      */
  __IOM uint32_t  DTGCTL2;                      /*!< (@ 0x00000208) Timer D DTG Control 2                                      */
  __IOM uint32_t  DTGCTL3;                      /*!< (@ 0x0000020C) Timer D DTG Control 3                                      */
} TimerD_Type;                                  /*!< Size = 528 (0x210)                                                        */



/* =========================================================================================================================== */
/* ================                                            CAN                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief CAN (CAN)
  */

typedef struct {                                /*!< (@ 0x400A0000) CAN Structure                                              */
  
  union {
    __IOM uint32_t ISR_SR_CMR_MR;               /*!< (@ 0x00000000) Combined CAN MR, CMR, SR, and ISR registers                */
    
    struct {
      __IOM uint32_t MR         : 8;            /*!< (@ 0x00000000) CAN Mode                                                   */
      __IOM uint32_t CMR        : 8;            /*!< (@ 0x00000008) CAN Command                                                */
      __IOM uint32_t SR         : 8;            /*!< (@ 0x00000010) CAN Status                                                 */
      __IOM uint32_t ISR        : 8;            /*!< (@ 0x00000018) CAN Interrupt Status/Acknowledge                           */
    } ISR_SR_CMR_MR_b;
  } ;
  
  union {
    __IOM uint32_t BTR1_BTR0_RMC_IMR;           /*!< (@ 0x00000004) Combined CAN IMR, RMC, BTR0, and BTR1 registers            */
    
    struct {
      __IOM uint32_t IMR        : 8;            /*!< (@ 0x00000000) CAN Interrupt Mask                                         */
      __IOM uint32_t RMC        : 8;            /*!< (@ 0x00000008) CAN Receive Message Counter                                */
      __IOM uint32_t BTR0       : 8;            /*!< (@ 0x00000010) CAN Bus Timing Register 0                                  */
      __IOM uint32_t BTR1       : 8;            /*!< (@ 0x00000018) CAN Bus Timing Register 1                                  */
    } BTR1_BTR0_RMC_IMR_b;
  } ;
  
  union {
    __IOM uint32_t TXBUF;                       /*!< (@ 0x00000008) Combined CAN Transmit Buffer registers                     */
    
    struct {
      __IOM uint32_t TXBUF0     : 8;            /*!< (@ 0x00000000) CAN Transmit Buffer 0                                      */
      __IOM uint32_t TXBUF1     : 8;            /*!< (@ 0x00000008) CAN Transmit Buffer 1                                      */
      __IOM uint32_t TXBUF2     : 8;            /*!< (@ 0x00000010) CAN Transmit Buffer 2                                      */
      __IOM uint32_t TXBUF3     : 8;            /*!< (@ 0x00000018) CAN Transmit Buffer 3                                      */
    } TXBUF_b;
  } ;
  
  union {
    __IOM uint32_t RXBUF;                       /*!< (@ 0x0000000C) Combined CAN Receive Buffer registers                      */
    
    struct {
      __IOM uint32_t RXBUF0     : 8;            /*!< (@ 0x00000000) CAN Receive Buffer 0                                       */
      __IOM uint32_t RXBUF1     : 8;            /*!< (@ 0x00000008) CAN Receive Buffer 1                                       */
      __IOM uint32_t RXBUF2     : 8;            /*!< (@ 0x00000010) CAN Receive Buffer 2                                       */
      __IOM uint32_t RXBUF3     : 8;            /*!< (@ 0x00000018) CAN Receive Buffer 3                                       */
    } RXBUF_b;
  } ;
  
  union {
    __IOM uint32_t ACR;                         /*!< (@ 0x00000010) Combined CAN Acceptance Code registers                     */
    
    struct {
      __IOM uint32_t ACR0       : 8;            /*!< (@ 0x00000000) CAN Acceptance Code 0                                      */
      __IOM uint32_t ACR1       : 8;            /*!< (@ 0x00000008) CAN Acceptance Code 1                                      */
      __IOM uint32_t ACR2       : 8;            /*!< (@ 0x00000010) CAN Acceptance Code 2                                      */
      __IOM uint32_t ACR3       : 8;            /*!< (@ 0x00000018) CAN Acceptance Code 3                                      */
    } ACR_b;
  } ;
  
  union {
    __IOM uint32_t AMR;                         /*!< (@ 0x00000014) Combined CAN Acceptance Mask registers                     */
    
    struct {
      __IOM uint32_t AMR0       : 8;            /*!< (@ 0x00000000) CAN Acceptance Mask 0                                      */
      __IOM uint32_t AMR1       : 8;            /*!< (@ 0x00000008) CAN Acceptance Mask 1                                      */
      __IOM uint32_t AMR2       : 8;            /*!< (@ 0x00000010) CAN Acceptance Mask 2                                      */
      __IOM uint32_t AMR3       : 8;            /*!< (@ 0x00000018) CAN Acceptance Mask 3                                      */
    } AMR_b;
  } ;
  
  union {
    __IOM uint32_t ALC_TXERR_RXERR_ECC;         /*!< (@ 0x00000018) Combined CAN ECC, RXERR, TXERR, and ALC registers          */
    
    struct {
      __IOM uint32_t ECC        : 8;            /*!< (@ 0x00000000) CAN Error Code Capture                                     */
      __IOM uint32_t RXERR      : 8;            /*!< (@ 0x00000008) CAN RX Error Counter                                       */
      __IOM uint32_t TXERR      : 8;            /*!< (@ 0x00000010) CAN TX Error Counter                                       */
      __IOM uint32_t ALC        : 8;            /*!< (@ 0x00000018) CAN Arbitration Lost Code Capture                          */
    } ALC_TXERR_RXERR_ECC_b;
  } ;
} CAN_Type;                                     /*!< Size = 28 (0x1c)                                                          */



/* =========================================================================================================================== */
/* ================                                         GPTIMERA                                          ================ */
/* =========================================================================================================================== */


/**
  * @brief General Purpose Timer A (GPTimer A) (GPTIMERA)
  */

typedef struct {                                /*!< (@ 0x400B0000) GPTIMERA Structure                                         */
  __IOM uint32_t  CTL;                          /*!< (@ 0x00000000) GPTimer A Control                                          */
  __IOM uint32_t  CTR;                          /*!< (@ 0x00000004) GPTimer A Counter                                          */
} GPTIMERA_Type;                                /*!< Size = 8 (0x8)                                                            */



/* =========================================================================================================================== */
/* ================                                         GPTIMERB                                          ================ */
/* =========================================================================================================================== */


/**
  * @brief General Purpose Timer B (GPTimer B) (GPTIMERB)
  */

typedef struct {                                /*!< (@ 0x400C0000) GPTIMERB Structure                                         */
  __IOM uint32_t  CTL;                          /*!< (@ 0x00000000) GPTimer B Control                                          */
  __IOM uint32_t  CTR;                          /*!< (@ 0x00000004) GPTimer B Counter                                          */
} GPTIMERB_Type;                                /*!< Size = 8 (0x8)                                                            */



/* =========================================================================================================================== */
/* ================                                          MEMCTL                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief Memory Controller (MEMCTL)
  */

typedef struct {                                /*!< (@ 0x400D0000) MEMCTL Structure                                           */
  __IOM uint32_t  MEMCTL;                       /*!< (@ 0x00000000) Memory Controller Configuration                            */
  __IOM uint32_t  MEMSTATUS;                    /*!< (@ 0x00000004) Memory Controller Status                                   */
  __IOM uint32_t  FLASHLOCK;                    /*!< (@ 0x00000008) FLASH Lock Access                                          */
  __IOM uint32_t  FLASHPAGE;                    /*!< (@ 0x0000000C) FLASH Page                                                 */
  __IOM uint32_t  SWDUNLOCK;                    /*!< (@ 0x00000010) SWD Unlock                                                 */
  __IM  uint32_t  RESERVED[3];
  __IOM uint32_t  FLASHERASE;                   /*!< (@ 0x00000020) FLASH Erase                                                */
} MEMCTL_Type;                                  /*!< Size = 36 (0x24)                                                          */



/* =========================================================================================================================== */
/* ================                                            SCC                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief System and Clock Control (SCC)
  */

typedef struct {                                /*!< (@ 0x400D0400) SCC Structure                                              */
  __IOM uint32_t  CCSCTL;                       /*!< (@ 0x00000000) DESC                                                       */
  __IOM uint32_t  CCSPLLCTL;                    /*!< (@ 0x00000004) DESC                                                       */
  __IOM uint32_t  CCSROSCTRIM;                  /*!< (@ 0x00000008) DESC                                                       */
  __IOM uint32_t  PAMUXSEL;                     /*!< (@ 0x0000000C) PA Peripheral MUX Select                                   */
  __IOM uint32_t  PBMUXSEL;                     /*!< (@ 0x00000010) PB Peripheral MUX Select                                   */
  __IOM uint32_t  PCMUXSEL;                     /*!< (@ 0x00000014) PC Peripheral MUX Select                                   */
  __IOM uint32_t  PDMUXSEL;                     /*!< (@ 0x00000018) PD Peripheral MUX Select                                   */
  __IOM uint32_t  PEMUXSEL;                     /*!< (@ 0x0000001C) PE Peripheral MUX Select                                   */
  __IOM uint32_t  PFMUXSEL;                     /*!< (@ 0x00000020) PF Peripheral MUX Select                                   */
  __IOM uint32_t  PGMUXSEL;                     /*!< (@ 0x00000024) PG Peripheral MUX Select                                   */
  __IOM uint32_t  PAPUEN;                       /*!< (@ 0x00000028) PA Weak Pull-up Enable                                     */
  __IOM uint32_t  PBPUEN;                       /*!< (@ 0x0000002C) PB Weak Pull-up Enable                                     */
  __IOM uint32_t  PCPUEN;                       /*!< (@ 0x00000030) PC Weak Pull-up Enable                                     */
  __IOM uint32_t  PDPUEN;                       /*!< (@ 0x00000034) PD Weak Pull-up Enable                                     */
  __IOM uint32_t  PEPUEN;                       /*!< (@ 0x00000038) PE Weak Pull-up Enable                                     */
  __IOM uint32_t  PFPUEN;                       /*!< (@ 0x0000003C) PF Weak Pull-up Enable                                     */
  __IOM uint32_t  PGPUEN;                       /*!< (@ 0x00000040) PG Weak Pull-up Enable                                     */
  __IOM uint32_t  PAPDEN;                       /*!< (@ 0x00000044) PA Weak Pull-down Enable                                   */
  __IOM uint32_t  PBPDEN;                       /*!< (@ 0x00000048) PB Weak Pull-down Enable                                   */
  __IOM uint32_t  PCPDEN;                       /*!< (@ 0x0000004C) PC Weak Pull-down Enable                                   */
  __IOM uint32_t  PDPDEN;                       /*!< (@ 0x00000050) PD Weak Pull-down Enable                                   */
  __IOM uint32_t  PEPDEN;                       /*!< (@ 0x00000054) PE Weak Pull-down Enable                                   */
  __IOM uint32_t  PFPDEN;                       /*!< (@ 0x00000058) PF Weak Pull-down Enable                                   */
  __IOM uint32_t  PGPDEN;                       /*!< (@ 0x0000005C) PG Weak Pull-down Enable                                   */
  __IOM uint32_t  PADS;                         /*!< (@ 0x00000060) PA Drive Strength/Schmitt Trigger                          */
  __IOM uint32_t  PBDS;                         /*!< (@ 0x00000064) PB Drive Strength/Schmitt Trigger                          */
  __IOM uint32_t  PCDS;                         /*!< (@ 0x00000068) PC Drive Strength/Schmitt Trigger                          */
  __IOM uint32_t  PDDS;                         /*!< (@ 0x0000006C) PD Drive Strength/Schmitt Trigger                          */
  __IOM uint32_t  PEDS;                         /*!< (@ 0x00000070) PE Drive Strength/Schmitt Trigger                          */
  __IOM uint32_t  PFDS;                         /*!< (@ 0x00000074) PF Drive Strength/Schmitt Trigger                          */
  __IOM uint32_t  PGDS;                         /*!< (@ 0x00000078) PG Drive Strength/Schmitt Trigger                          */
} SCC_Type;                                     /*!< Size = 124 (0x7c)                                                         */



/* =========================================================================================================================== */
/* ================                                           WWDT                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief Windowed Watchdog Timer (WWDT)
  */

typedef struct {                                /*!< (@ 0x400D0800) WWDT Structure                                             */
  __IOM uint32_t  CTL;                          /*!< (@ 0x00000000) WWDT Control                                               */
  __IOM uint32_t  LOAD;                         /*!< (@ 0x00000004) WWDT Load Counter Value                                    */
  __IOM uint32_t  CTR;                          /*!< (@ 0x00000008) WWDT Counter                                               */
  __IOM uint32_t  INTF;                         /*!< (@ 0x0000000C) WWDT Interrupt Flag                                        */
  __IOM uint32_t  INTCLR;                       /*!< (@ 0x00000010) WWDT Interrupt Clear                                       */
  __IOM uint32_t  LOCK;                         /*!< (@ 0x00000014) WWDT Lock                                                  */
} WWDT_Type;                                    /*!< Size = 24 (0x18)                                                          */



/* =========================================================================================================================== */
/* ================                                            RTC                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief Real-Time Clock (RTC) with Calendar (RTC)
  */

typedef struct {                                /*!< (@ 0x400D0C00) RTC Structure                                              */
  __IOM uint32_t  CTL;                          /*!< (@ 0x00000000) RTC Control                                                */
  __IOM uint32_t  TIME;                         /*!< (@ 0x00000004) RTC Time                                                   */
  __IOM uint32_t  DATE;                         /*!< (@ 0x00000008) RTC Date                                                   */
  __IOM uint32_t  TIMESET;                      /*!< (@ 0x0000000C) RTC Time Setting                                           */
  __IOM uint32_t  DATESET;                      /*!< (@ 0x00000010) RTC Date Setting                                           */
  __IOM uint32_t  ALARMSET;                     /*!< (@ 0x00000014) RTC Alarm Setting                                          */
} RTC_Type;                                     /*!< Size = 24 (0x18)                                                          */



/* =========================================================================================================================== */
/* ================                                            CRC                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief CRC (CRC)
  */

typedef struct {                                /*!< (@ 0x400D1000) CRC Structure                                              */
  __IOM uint32_t  CTL;                          /*!< (@ 0x00000000) CRC Control                                                */
  __IOM uint32_t  DATAIN;                       /*!< (@ 0x00000004) CRC Data Input                                             */
  __IOM uint32_t  SEED;                         /*!< (@ 0x00000008) CRC Seed Value                                             */
  __IOM uint32_t  DATAOUT;                      /*!< (@ 0x0000000C) CRC Data Output                                            */
} CRC_Type;                                     /*!< Size = 16 (0x10)                                                          */



/* =========================================================================================================================== */
/* ================                                           GPIOA                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief GPIO A (GPIOA)
  */

typedef struct {                                /*!< (@ 0x400D1400) GPIOA Structure                                            */
  __IOM uint32_t  MODE;                         /*!< (@ 0x00000000) GPIO A Pin Mode Select                                     */
  __IOM uint32_t  OUTMASK;                      /*!< (@ 0x00000004) GPIO A Data Output Write Mask                              */
  __IOM uint32_t  OUT;                          /*!< (@ 0x00000008) GPIO A Data Output Value                                   */
  __IOM uint32_t  IN;                           /*!< (@ 0x0000000C) GPIO A Data Input Value                                    */
  __IOM uint32_t  INTEN;                        /*!< (@ 0x00000010) GPIO A Interrupt Enable                                    */
  __IOM uint32_t  INTFLAGRAW;                   /*!< (@ 0x00000014) GPIO A Interrupt Flag Raw                                  */
  __IOM uint32_t  INTFLAGMASKED;                /*!< (@ 0x00000018) GPIO A Interrupt Flag Masked                               */
  __IOM uint32_t  INTCLEAR;                     /*!< (@ 0x0000001C) GPIO A Interrupt Clear                                     */
  __IOM uint32_t  INTTYPE;                      /*!< (@ 0x00000020) GPIO A Interrupt Type                                      */
  __IOM uint32_t  INTVALUE;                     /*!< (@ 0x00000024) GPIO A Interrupt Value                                     */
  __IOM uint32_t  INTEDGEBOTH;                  /*!< (@ 0x00000028) GPIO A Interrupt Edge Both                                 */
  __IOM uint32_t  DEBOUNCE;                     /*!< (@ 0x0000002C) GPIO A De-bounce Filter                                    */
  __IOM uint32_t  DOSET;                        /*!< (@ 0x00000030) GPIO A Data Output Set                                     */
  __IOM uint32_t  DOCLEAR;                      /*!< (@ 0x00000034) GPIO A Data Output Clear                                   */
} GPIOA_Type;                                   /*!< Size = 56 (0x38)                                                          */



/* =========================================================================================================================== */
/* ================                                           GPIOB                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief GPIO B (GPIOB)
  */

typedef struct {                                /*!< (@ 0x400D1800) GPIOB Structure                                            */
  __IOM uint32_t  MODE;                         /*!< (@ 0x00000000) GPIO B Pin Mode Select                                     */
  __IOM uint32_t  OUTMASK;                      /*!< (@ 0x00000004) GPIO B Data Output Write Mask                              */
  __IOM uint32_t  OUT;                          /*!< (@ 0x00000008) GPIO B Data Output Value                                   */
  __IOM uint32_t  IN;                           /*!< (@ 0x0000000C) GPIO B Data Input Value                                    */
  __IOM uint32_t  INTEN;                        /*!< (@ 0x00000010) GPIO B Interrupt Enable                                    */
  __IOM uint32_t  INTFLAGRAW;                   /*!< (@ 0x00000014) GPIO B Interrupt Flag Raw                                  */
  __IOM uint32_t  INTFLAGMASKED;                /*!< (@ 0x00000018) GPIO B Interrupt Flag Masked                               */
  __IOM uint32_t  INTCLEAR;                     /*!< (@ 0x0000001C) GPIO B Interrupt Clear                                     */
  __IOM uint32_t  INTTYPE;                      /*!< (@ 0x00000020) GPIO B Interrupt Type                                      */
  __IOM uint32_t  INTVALUE;                     /*!< (@ 0x00000024) GPIO B Interrupt Value                                     */
  __IOM uint32_t  INTEDGEBOTH;                  /*!< (@ 0x00000028) GPIO B Interrupt Edge Both                                 */
  __IOM uint32_t  DEBOUNCE;                     /*!< (@ 0x0000002C) GPIO B De-bounce Filter                                    */
  __IOM uint32_t  DOSET;                        /*!< (@ 0x00000030) GPIO B Data Output Set                                     */
  __IOM uint32_t  DOCLEAR;                      /*!< (@ 0x00000034) GPIO B Data Output Clear                                   */
} GPIOB_Type;                                   /*!< Size = 56 (0x38)                                                          */



/* =========================================================================================================================== */
/* ================                                           GPIOC                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief GPIO C (GPIOC)
  */

typedef struct {                                /*!< (@ 0x400D1C00) GPIOC Structure                                            */
  __IOM uint32_t  MODE;                         /*!< (@ 0x00000000) GPIO C Pin Mode Select                                     */
  __IOM uint32_t  OUTMASK;                      /*!< (@ 0x00000004) GPIO C Data Output Write Mask                              */
  __IOM uint32_t  OUT;                          /*!< (@ 0x00000008) GPIO C Data Output Value                                   */
  __IOM uint32_t  IN;                           /*!< (@ 0x0000000C) GPIO C Data Input Value                                    */
  __IOM uint32_t  INTEN;                        /*!< (@ 0x00000010) GPIO C Interrupt Enable                                    */
  __IOM uint32_t  INTFLAGRAW;                   /*!< (@ 0x00000014) GPIO C Interrupt Flag Raw                                  */
  __IOM uint32_t  INTFLAGMASKED;                /*!< (@ 0x00000018) GPIO C Interrupt Flag Masked                               */
  __IOM uint32_t  INTCLEAR;                     /*!< (@ 0x0000001C) GPIO C Interrupt Clear                                     */
  __IOM uint32_t  INTTYPE;                      /*!< (@ 0x00000020) GPIO C Interrupt Type                                      */
  __IOM uint32_t  INTVALUE;                     /*!< (@ 0x00000024) GPIO C Interrupt Value                                     */
  __IOM uint32_t  INTEDGEBOTH;                  /*!< (@ 0x00000028) GPIO C Interrupt Edge Both                                 */
  __IOM uint32_t  DEBOUNCE;                     /*!< (@ 0x0000002C) GPIO C De-bounce Filter                                    */
  __IOM uint32_t  DOSET;                        /*!< (@ 0x00000030) GPIO C Data Output Set                                     */
  __IOM uint32_t  DOCLEAR;                      /*!< (@ 0x00000034) GPIO C Data Output Clear                                   */
} GPIOC_Type;                                   /*!< Size = 56 (0x38)                                                          */



/* =========================================================================================================================== */
/* ================                                           GPIOD                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief GPIO D (GPIOD)
  */

typedef struct {                                /*!< (@ 0x400D2000) GPIOD Structure                                            */
  __IOM uint32_t  MODE;                         /*!< (@ 0x00000000) GPIO D Pin Mode Select                                     */
  __IOM uint32_t  OUTMASK;                      /*!< (@ 0x00000004) GPIO D Data Output Write Mask                              */
  __IOM uint32_t  OUT;                          /*!< (@ 0x00000008) GPIO D Data Output Value                                   */
  __IOM uint32_t  IN;                           /*!< (@ 0x0000000C) GPIO D Data Input Value                                    */
  __IOM uint32_t  INTEN;                        /*!< (@ 0x00000010) GPIO D Interrupt Enable                                    */
  __IOM uint32_t  INTFLAGRAW;                   /*!< (@ 0x00000014) GPIO D Interrupt Flag Raw                                  */
  __IOM uint32_t  INTFLAGMASKED;                /*!< (@ 0x00000018) GPIO D Interrupt Flag Masked                               */
  __IOM uint32_t  INTCLEAR;                     /*!< (@ 0x0000001C) GPIO D Interrupt Clear                                     */
  __IOM uint32_t  INTTYPE;                      /*!< (@ 0x00000020) GPIO D Interrupt Type                                      */
  __IOM uint32_t  INTVALUE;                     /*!< (@ 0x00000024) GPIO D Interrupt Value                                     */
  __IOM uint32_t  INTEDGEBOTH;                  /*!< (@ 0x00000028) GPIO D Interrupt Edge Both                                 */
  __IOM uint32_t  DEBOUNCE;                     /*!< (@ 0x0000002C) GPIO D De-bounce Filter                                    */
  __IOM uint32_t  DOSET;                        /*!< (@ 0x00000030) GPIO D Data Output Set                                     */
  __IOM uint32_t  DOCLEAR;                      /*!< (@ 0x00000034) GPIO D Data Output Clear                                   */
} GPIOD_Type;                                   /*!< Size = 56 (0x38)                                                          */



/* =========================================================================================================================== */
/* ================                                           GPIOE                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief GPIO E (GPIOE)
  */

typedef struct {                                /*!< (@ 0x400D2400) GPIOE Structure                                            */
  __IOM uint32_t  MODE;                         /*!< (@ 0x00000000) GPIO E Pin Mode Select                                     */
  __IOM uint32_t  OUTMASK;                      /*!< (@ 0x00000004) GPIO E Data Output Write Mask                              */
  __IOM uint32_t  OUT;                          /*!< (@ 0x00000008) GPIO E Data Output Value                                   */
  __IOM uint32_t  IN;                           /*!< (@ 0x0000000C) GPIO E Data Input Value                                    */
  __IOM uint32_t  INTEN;                        /*!< (@ 0x00000010) GPIO E Interrupt Enable                                    */
  __IOM uint32_t  INTFLAGRAW;                   /*!< (@ 0x00000014) GPIO E Interrupt Flag Raw                                  */
  __IOM uint32_t  INTFLAGMASKED;                /*!< (@ 0x00000018) GPIO E Interrupt Flag Masked                               */
  __IOM uint32_t  INTCLEAR;                     /*!< (@ 0x0000001C) GPIO E Interrupt Clear                                     */
  __IOM uint32_t  INTTYPE;                      /*!< (@ 0x00000020) GPIO E Interrupt Type                                      */
  __IOM uint32_t  INTVALUE;                     /*!< (@ 0x00000024) GPIO E Interrupt Value                                     */
  __IOM uint32_t  INTEDGEBOTH;                  /*!< (@ 0x00000028) GPIO E Interrupt Edge Both                                 */
  __IOM uint32_t  DEBOUNCE;                     /*!< (@ 0x0000002C) GPIO E De-bounce Filter                                    */
  __IOM uint32_t  DOSET;                        /*!< (@ 0x00000030) GPIO E Data Output Set                                     */
  __IOM uint32_t  DOCLEAR;                      /*!< (@ 0x00000034) GPIO E Data Output Clear                                   */
} GPIOE_Type;                                   /*!< Size = 56 (0x38)                                                          */



/* =========================================================================================================================== */
/* ================                                           GPIOF                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief GPIO F (GPIOF)
  */

typedef struct {                                /*!< (@ 0x400D2800) GPIOF Structure                                            */
  __IOM uint32_t  MODE;                         /*!< (@ 0x00000000) GPIO F Pin Mode Select                                     */
  __IOM uint32_t  OUTMASK;                      /*!< (@ 0x00000004) GPIO F Data Output Write Mask                              */
  __IOM uint32_t  OUT;                          /*!< (@ 0x00000008) GPIO F Data Output Value                                   */
  __IOM uint32_t  IN;                           /*!< (@ 0x0000000C) GPIO F Data Input Value                                    */
  __IOM uint32_t  INTEN;                        /*!< (@ 0x00000010) GPIO F Interrupt Enable                                    */
  __IOM uint32_t  INTFLAGRAW;                   /*!< (@ 0x00000014) GPIO F Interrupt Flag Raw                                  */
  __IOM uint32_t  INTFLAGMASKED;                /*!< (@ 0x00000018) GPIO F Interrupt Flag Masked                               */
  __IOM uint32_t  INTCLEAR;                     /*!< (@ 0x0000001C) GPIO F Interrupt Clear                                     */
  __IOM uint32_t  INTTYPE;                      /*!< (@ 0x00000020) GPIO F Interrupt Type                                      */
  __IOM uint32_t  INTVALUE;                     /*!< (@ 0x00000024) GPIO F Interrupt Value                                     */
  __IOM uint32_t  INTEDGEBOTH;                  /*!< (@ 0x00000028) GPIO F Interrupt Edge Both                                 */
  __IOM uint32_t  DEBOUNCE;                     /*!< (@ 0x0000002C) GPIO F De-bounce Filter                                    */
  __IOM uint32_t  DOSET;                        /*!< (@ 0x00000030) GPIO F Data Output Set                                     */
  __IOM uint32_t  DOCLEAR;                      /*!< (@ 0x00000034) GPIO F Data Output Clear                                   */
} GPIOF_Type;                                   /*!< Size = 56 (0x38)                                                          */



/* =========================================================================================================================== */
/* ================                                           GPIOG                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief GPIO G (GPIOG)
  */

typedef struct {                                /*!< (@ 0x400D2C00) GPIOG Structure                                            */
  __IOM uint32_t  MODE;                         /*!< (@ 0x00000000) GPIO G Pin Mode Select                                     */
  __IOM uint32_t  OUTMASK;                      /*!< (@ 0x00000004) GPIO G Data Output Write Mask                              */
  __IOM uint32_t  OUT;                          /*!< (@ 0x00000008) GPIO G Data Output Value                                   */
  __IOM uint32_t  IN;                           /*!< (@ 0x0000000C) GPIO G Data Input Value                                    */
  __IOM uint32_t  INTEN;                        /*!< (@ 0x00000010) GPIO G Interrupt Enable                                    */
  __IOM uint32_t  INTFLAGRAW;                   /*!< (@ 0x00000014) GPIO G Interrupt Flag Raw                                  */
  __IOM uint32_t  INTFLAGMASKED;                /*!< (@ 0x00000018) GPIO G Interrupt Flag Masked                               */
  __IOM uint32_t  INTCLEAR;                     /*!< (@ 0x0000001C) GPIO G Interrupt Clear                                     */
  __IOM uint32_t  INTTYPE;                      /*!< (@ 0x00000020) GPIO G Interrupt Type                                      */
  __IOM uint32_t  INTVALUE;                     /*!< (@ 0x00000024) GPIO G Interrupt Value                                     */
  __IOM uint32_t  INTEDGEBOTH;                  /*!< (@ 0x00000028) GPIO G Interrupt Edge Both                                 */
  __IOM uint32_t  DEBOUNCE;                     /*!< (@ 0x0000002C) GPIO G De-bounce Filter                                    */
  __IOM uint32_t  DOSET;                        /*!< (@ 0x00000030) GPIO G Data Output Set                                     */
  __IOM uint32_t  DOCLEAR;                      /*!< (@ 0x00000034) GPIO G Data Output Clear                                   */
} GPIOG_Type;                                   /*!< Size = 56 (0x38)                                                          */


/** @} */ /* End of group Device_Peripheral_peripherals */


/* =========================================  End of section using anonymous unions  ========================================= */
#if defined (__CC_ARM)
  #pragma pop
#elif defined (__ICCARM__)
  /* leave anonymous unions enabled */
#elif (__ARMCC_VERSION >= 6010050)
  #pragma clang diagnostic pop
#elif defined (__GNUC__)
  /* anonymous unions are enabled by default */
#elif defined (__TMS470__)
  /* anonymous unions are enabled by default */
#elif defined (__TASKING__)
  #pragma warning restore
#elif defined (__CSMC__)
  /* anonymous unions are enabled by default */
#endif


/* =========================================================================================================================== */
/* ================                          Device Specific Peripheral Address Map                           ================ */
/* =========================================================================================================================== */


/** @addtogroup Device_Peripheral_peripheralAddr
  * @{
  */

#define ADC_BASE                    0x40000000UL
#define I2C_BASE                    0x40010000UL
#define USARTA_BASE                 0x40020000UL
#define USARTB_BASE                 0x40030000UL
#define USARTC_BASE                 0x40040000UL
#define USARTD_BASE                 0x40050000UL
#define TimerA_BASE                 0x40060000UL
#define TimerB_BASE                 0x40070000UL
#define TimerC_BASE                 0x40080000UL
#define TimerD_BASE                 0x40090000UL
#define CAN_BASE                    0x400A0000UL
#define GPTIMERA_BASE               0x400B0000UL
#define GPTIMERB_BASE               0x400C0000UL
#define MEMCTL_BASE                 0x400D0000UL
#define SCC_BASE                    0x400D0400UL
#define WWDT_BASE                   0x400D0800UL
#define RTC_BASE                    0x400D0C00UL
#define CRC_BASE                    0x400D1000UL
#define GPIOA_BASE                  0x400D1400UL
#define GPIOB_BASE                  0x400D1800UL
#define GPIOC_BASE                  0x400D1C00UL
#define GPIOD_BASE                  0x400D2000UL
#define GPIOE_BASE                  0x400D2400UL
#define GPIOF_BASE                  0x400D2800UL
#define GPIOG_BASE                  0x400D2C00UL

/** @} */ /* End of group Device_Peripheral_peripheralAddr */


/* =========================================================================================================================== */
/* ================                                  Peripheral declaration                                   ================ */
/* =========================================================================================================================== */


/** @addtogroup Device_Peripheral_declaration
  * @{
  */

#define ADC                         ((ADC_Type*)               ADC_BASE)
#define I2C                         ((I2C_Type*)               I2C_BASE)
#define USARTA                      ((USARTA_Type*)            USARTA_BASE)
#define USARTB                      ((USARTB_Type*)            USARTB_BASE)
#define USARTC                      ((USARTC_Type*)            USARTC_BASE)
#define USARTD                      ((USARTD_Type*)            USARTD_BASE)
#define TimerA                      ((TimerA_Type*)            TimerA_BASE)
#define TimerB                      ((TimerB_Type*)            TimerB_BASE)
#define TimerC                      ((TimerC_Type*)            TimerC_BASE)
#define TimerD                      ((TimerD_Type*)            TimerD_BASE)
#define CAN                         ((CAN_Type*)               CAN_BASE)
#define GPTIMERA                    ((GPTIMERA_Type*)          GPTIMERA_BASE)
#define GPTIMERB                    ((GPTIMERB_Type*)          GPTIMERB_BASE)
#define MEMCTL                      ((MEMCTL_Type*)            MEMCTL_BASE)
#define SCC                         ((SCC_Type*)               SCC_BASE)
#define WWDT                        ((WWDT_Type*)              WWDT_BASE)
#define RTC                         ((RTC_Type*)               RTC_BASE)
#define CRC                         ((CRC_Type*)               CRC_BASE)
#define GPIOA                       ((GPIOA_Type*)             GPIOA_BASE)
#define GPIOB                       ((GPIOB_Type*)             GPIOB_BASE)
#define GPIOC                       ((GPIOC_Type*)             GPIOC_BASE)
#define GPIOD                       ((GPIOD_Type*)             GPIOD_BASE)
#define GPIOE                       ((GPIOE_Type*)             GPIOE_BASE)
#define GPIOF                       ((GPIOF_Type*)             GPIOF_BASE)
#define GPIOG                       ((GPIOG_Type*)             GPIOG_BASE)

/** @} */ /* End of group Device_Peripheral_declaration */


/* =========================================================================================================================== */
/* ================                                Pos/Mask Peripheral Section                                ================ */
/* =========================================================================================================================== */


/** @addtogroup PosMask_peripherals
  * @{
  */



/* =========================================================================================================================== */
/* ================                                            ADC                                            ================ */
/* =========================================================================================================================== */

/* ========================================================  EMUXCTL  ======================================================== */
/* =======================================================  EMUXDATA  ======================================================== */
/* ========================================================  ADCCTL  ========================================================= */
/* ========================================================  ADCRES  ========================================================= */
/* ========================================================  ADCINT  ========================================================= */
/* ====================================================  DTSETRIGENT0TO3  ==================================================== */
/* ====================================================  DTSETRIGENT4TO7  ==================================================== */
/* ===================================================  DTSETRIGENT8TO11  ==================================================== */
/* ===================================================  DTSETRIGENT12TO15  =================================================== */
/* ===================================================  DTSETRIGENT16TO19  =================================================== */
/* ===================================================  DTSETRIGENT20TO23  =================================================== */
/* ===================================================  DTSETRIGENT24TO27  =================================================== */
/* ===================================================  DTSETRIGENT28TO31  =================================================== */
/* ======================================================  DTSESEQCFG0  ====================================================== */
/* ======================================================  DTSESEQCFG1  ====================================================== */
/* ======================================================  DTSESEQCFG2  ====================================================== */
/* ======================================================  DTSESEQCFG3  ====================================================== */
/* ======================================================  DTSESEQCFG4  ====================================================== */
/* ======================================================  DTSESEQCFG5  ====================================================== */
/* ======================================================  DTSESEQCFG6  ====================================================== */
/* ======================================================  DTSESEQCFG7  ====================================================== */
/* ======================================================  DTSESEQCFG8  ====================================================== */
/* ======================================================  DTSESEQCFG9  ====================================================== */
/* =====================================================  DTSESEQCFG10  ====================================================== */
/* =====================================================  DTSESEQCFG11  ====================================================== */
/* =====================================================  DTSESEQCFG12  ====================================================== */
/* =====================================================  DTSESEQCFG13  ====================================================== */
/* =====================================================  DTSESEQCFG14  ====================================================== */
/* =====================================================  DTSESEQCFG15  ====================================================== */
/* =====================================================  DTSESEQCFG16  ====================================================== */
/* =====================================================  DTSESEQCFG17  ====================================================== */
/* =====================================================  DTSESEQCFG18  ====================================================== */
/* =====================================================  DTSESEQCFG19  ====================================================== */
/* =====================================================  DTSESEQCFG20  ====================================================== */
/* =====================================================  DTSESEQCFG21  ====================================================== */
/* =====================================================  DTSESEQCFG22  ====================================================== */
/* =====================================================  DTSESEQCFG23  ====================================================== */
/* =======================================================  DTSERES0  ======================================================== */
/* =======================================================  DTSERES1  ======================================================== */
/* =======================================================  DTSERES2  ======================================================== */
/* =======================================================  DTSERES3  ======================================================== */
/* =======================================================  DTSERES4  ======================================================== */
/* =======================================================  DTSERES5  ======================================================== */
/* =======================================================  DTSERES6  ======================================================== */
/* =======================================================  DTSERES7  ======================================================== */
/* =======================================================  DTSERES8  ======================================================== */
/* =======================================================  DTSERES9  ======================================================== */
/* =======================================================  DTSERES10  ======================================================= */
/* =======================================================  DTSERES11  ======================================================= */
/* =======================================================  DTSERES12  ======================================================= */
/* =======================================================  DTSERES13  ======================================================= */
/* =======================================================  DTSERES14  ======================================================= */
/* =======================================================  DTSERES15  ======================================================= */
/* =======================================================  DTSERES16  ======================================================= */
/* =======================================================  DTSERES17  ======================================================= */
/* =======================================================  DTSERES18  ======================================================= */
/* =======================================================  DTSERES19  ======================================================= */
/* =======================================================  DTSERES20  ======================================================= */
/* =======================================================  DTSERES21  ======================================================= */
/* =======================================================  DTSERES22  ======================================================= */
/* =======================================================  DTSERES23  ======================================================= */


/* =========================================================================================================================== */
/* ================                                            I2C                                            ================ */
/* =========================================================================================================================== */

/* ========================================================  CONSET  ========================================================= */
/* ========================================================  CONCLR  ========================================================= */
/* =========================================================  STAT  ========================================================== */
/* ==========================================================  DAT  ========================================================== */
/* ==========================================================  CLK  ========================================================== */
/* =========================================================  ADR0  ========================================================== */
/* =========================================================  ADRM0  ========================================================= */
/* =========================================================  XADR0  ========================================================= */
/* ========================================================  XADRM0  ========================================================= */
/* ==========================================================  RST  ========================================================== */
/* =========================================================  ADR1  ========================================================== */
/* =========================================================  ADRM1  ========================================================= */
/* =========================================================  ADR2  ========================================================== */
/* =========================================================  ADRM2  ========================================================= */
/* =========================================================  ADR3  ========================================================== */
/* =========================================================  ADRM3  ========================================================= */


/* =========================================================================================================================== */
/* ================                                          USARTA                                           ================ */
/* =========================================================================================================================== */

/* ========================================================  RBR_CON  ======================================================== */
/* =======================================================  THR_STAT  ======================================================== */
/* ========================================================  DRL_DAT  ======================================================== */
/* ========================================================  IER_CLK  ======================================================== */
/* =======================================================  IIR_IMSC  ======================================================== */
/* ========================================================  FCR_RIS  ======================================================== */
/* ========================================================  LCR_MIS  ======================================================== */
/* =========================================================  ICLR  ========================================================== */
/* ==========================================================  LSR  ========================================================== */
/* =======================================================  SCR_SSCR  ======================================================== */
/* ==========================================================  EFR  ========================================================== */


/* =========================================================================================================================== */
/* ================                                          USARTB                                           ================ */
/* =========================================================================================================================== */

/* ========================================================  RBR_CON  ======================================================== */
/* =======================================================  THR_STAT  ======================================================== */
/* ========================================================  DRL_DAT  ======================================================== */
/* ========================================================  IER_CLK  ======================================================== */
/* =======================================================  IIR_IMSC  ======================================================== */
/* ========================================================  FCR_RIS  ======================================================== */
/* ========================================================  LCR_MIS  ======================================================== */
/* =========================================================  ICLR  ========================================================== */
/* ==========================================================  LSR  ========================================================== */
/* =======================================================  SCR_SSCR  ======================================================== */
/* ==========================================================  EFR  ========================================================== */


/* =========================================================================================================================== */
/* ================                                          USARTC                                           ================ */
/* =========================================================================================================================== */

/* ========================================================  RBR_CON  ======================================================== */
/* =======================================================  THR_STAT  ======================================================== */
/* ========================================================  DRL_DAT  ======================================================== */
/* ========================================================  IER_CLK  ======================================================== */
/* =======================================================  IIR_IMSC  ======================================================== */
/* ========================================================  FCR_RIS  ======================================================== */
/* ========================================================  LCR_MIS  ======================================================== */
/* =========================================================  ICLR  ========================================================== */
/* ==========================================================  LSR  ========================================================== */
/* =======================================================  SCR_SSCR  ======================================================== */
/* ==========================================================  EFR  ========================================================== */


/* =========================================================================================================================== */
/* ================                                          USARTD                                           ================ */
/* =========================================================================================================================== */

/* ========================================================  RBR_CON  ======================================================== */
/* =======================================================  THR_STAT  ======================================================== */
/* ========================================================  DRL_DAT  ======================================================== */
/* ========================================================  IER_CLK  ======================================================== */
/* =======================================================  IIR_IMSC  ======================================================== */
/* ========================================================  FCR_RIS  ======================================================== */
/* ========================================================  LCR_MIS  ======================================================== */
/* =========================================================  ICLR  ========================================================== */
/* ==========================================================  LSR  ========================================================== */
/* =======================================================  SCR_SSCR  ======================================================== */
/* ==========================================================  EFR  ========================================================== */


/* =========================================================================================================================== */
/* ================                                          TimerA                                           ================ */
/* =========================================================================================================================== */

/* ==========================================================  CTL  ========================================================== */
/* ==========================================================  INT  ========================================================== */
/* ==========================================================  PRD  ========================================================== */
/* ==========================================================  CTR  ========================================================== */
/* ========================================================  QEPCTL  ========================================================= */
/* =========================================================  CCTL0  ========================================================= */
/* =========================================================  CCTR0  ========================================================= */
/* =========================================================  CCTL1  ========================================================= */
/* =========================================================  CCTR1  ========================================================= */
/* =========================================================  CCTL2  ========================================================= */
/* =========================================================  CCTR2  ========================================================= */
/* =========================================================  CCTL3  ========================================================= */
/* =========================================================  CCTR3  ========================================================= */
/* =========================================================  CCTL4  ========================================================= */
/* =========================================================  CCTR4  ========================================================= */
/* =========================================================  CCTL5  ========================================================= */
/* =========================================================  CCTR5  ========================================================= */
/* =========================================================  CCTL6  ========================================================= */
/* =========================================================  CCTR6  ========================================================= */
/* =========================================================  CCTL7  ========================================================= */
/* =========================================================  CCTR7  ========================================================= */
/* ========================================================  DTGCTL0  ======================================================== */
/* ========================================================  DTGCTL1  ======================================================== */
/* ========================================================  DTGCTL2  ======================================================== */
/* ========================================================  DTGCTL3  ======================================================== */


/* =========================================================================================================================== */
/* ================                                          TimerB                                           ================ */
/* =========================================================================================================================== */

/* ==========================================================  CTL  ========================================================== */
/* ==========================================================  INT  ========================================================== */
/* ==========================================================  PRD  ========================================================== */
/* ==========================================================  CTR  ========================================================== */
/* ========================================================  QEPCTL  ========================================================= */
/* =========================================================  CCTL0  ========================================================= */
/* =========================================================  CCTR0  ========================================================= */
/* =========================================================  CCTL1  ========================================================= */
/* =========================================================  CCTR1  ========================================================= */
/* =========================================================  CCTL2  ========================================================= */
/* =========================================================  CCTR2  ========================================================= */
/* =========================================================  CCTL3  ========================================================= */
/* =========================================================  CCTR3  ========================================================= */
/* =========================================================  CCTL4  ========================================================= */
/* =========================================================  CCTR4  ========================================================= */
/* =========================================================  CCTL5  ========================================================= */
/* =========================================================  CCTR5  ========================================================= */
/* =========================================================  CCTL6  ========================================================= */
/* =========================================================  CCTR6  ========================================================= */
/* =========================================================  CCTL7  ========================================================= */
/* =========================================================  CCTR7  ========================================================= */
/* ========================================================  DTGCTL0  ======================================================== */
/* ========================================================  DTGCTL1  ======================================================== */
/* ========================================================  DTGCTL2  ======================================================== */
/* ========================================================  DTGCTL3  ======================================================== */


/* =========================================================================================================================== */
/* ================                                          TimerC                                           ================ */
/* =========================================================================================================================== */

/* ==========================================================  CTL  ========================================================== */
/* ==========================================================  INT  ========================================================== */
/* ==========================================================  PRD  ========================================================== */
/* ==========================================================  CTR  ========================================================== */
/* ========================================================  QEPCTL  ========================================================= */
/* =========================================================  CCTL0  ========================================================= */
/* =========================================================  CCTR0  ========================================================= */
/* =========================================================  CCTL1  ========================================================= */
/* =========================================================  CCTR1  ========================================================= */
/* =========================================================  CCTL2  ========================================================= */
/* =========================================================  CCTR2  ========================================================= */
/* =========================================================  CCTL3  ========================================================= */
/* =========================================================  CCTR3  ========================================================= */
/* =========================================================  CCTL4  ========================================================= */
/* =========================================================  CCTR4  ========================================================= */
/* =========================================================  CCTL5  ========================================================= */
/* =========================================================  CCTR5  ========================================================= */
/* =========================================================  CCTL6  ========================================================= */
/* =========================================================  CCTR6  ========================================================= */
/* =========================================================  CCTL7  ========================================================= */
/* =========================================================  CCTR7  ========================================================= */
/* ========================================================  DTGCTL0  ======================================================== */
/* ========================================================  DTGCTL1  ======================================================== */
/* ========================================================  DTGCTL2  ======================================================== */
/* ========================================================  DTGCTL3  ======================================================== */


/* =========================================================================================================================== */
/* ================                                          TimerD                                           ================ */
/* =========================================================================================================================== */

/* ==========================================================  CTL  ========================================================== */
/* ==========================================================  INT  ========================================================== */
/* ==========================================================  PRD  ========================================================== */
/* ==========================================================  CTR  ========================================================== */
/* ========================================================  QEPCTL  ========================================================= */
/* =========================================================  CCTL0  ========================================================= */
/* =========================================================  CCTR0  ========================================================= */
/* =========================================================  CCTL1  ========================================================= */
/* =========================================================  CCTR1  ========================================================= */
/* =========================================================  CCTL2  ========================================================= */
/* =========================================================  CCTR2  ========================================================= */
/* =========================================================  CCTL3  ========================================================= */
/* =========================================================  CCTR3  ========================================================= */
/* =========================================================  CCTL4  ========================================================= */
/* =========================================================  CCTR4  ========================================================= */
/* =========================================================  CCTL5  ========================================================= */
/* =========================================================  CCTR5  ========================================================= */
/* =========================================================  CCTL6  ========================================================= */
/* =========================================================  CCTR6  ========================================================= */
/* =========================================================  CCTL7  ========================================================= */
/* =========================================================  CCTR7  ========================================================= */
/* ========================================================  DTGCTL0  ======================================================== */
/* ========================================================  DTGCTL1  ======================================================== */
/* ========================================================  DTGCTL2  ======================================================== */
/* ========================================================  DTGCTL3  ======================================================== */


/* =========================================================================================================================== */
/* ================                                            CAN                                            ================ */
/* =========================================================================================================================== */

/* =====================================================  ISR_SR_CMR_MR  ===================================================== */
#define CAN_ISR_SR_CMR_MR_MR_Pos          (0UL)                     /*!< CAN ISR_SR_CMR_MR: MR (Bit 0)                         */
#define CAN_ISR_SR_CMR_MR_MR_Msk          (0xffUL)                  /*!< CAN ISR_SR_CMR_MR: MR (Bitfield-Mask: 0xff)           */
#define CAN_ISR_SR_CMR_MR_CMR_Pos         (8UL)                     /*!< CAN ISR_SR_CMR_MR: CMR (Bit 8)                        */
#define CAN_ISR_SR_CMR_MR_CMR_Msk         (0xff00UL)                /*!< CAN ISR_SR_CMR_MR: CMR (Bitfield-Mask: 0xff)          */
#define CAN_ISR_SR_CMR_MR_SR_Pos          (16UL)                    /*!< CAN ISR_SR_CMR_MR: SR (Bit 16)                        */
#define CAN_ISR_SR_CMR_MR_SR_Msk          (0xff0000UL)              /*!< CAN ISR_SR_CMR_MR: SR (Bitfield-Mask: 0xff)           */
#define CAN_ISR_SR_CMR_MR_ISR_Pos         (24UL)                    /*!< CAN ISR_SR_CMR_MR: ISR (Bit 24)                       */
#define CAN_ISR_SR_CMR_MR_ISR_Msk         (0xff000000UL)            /*!< CAN ISR_SR_CMR_MR: ISR (Bitfield-Mask: 0xff)          */
/* ===================================================  BTR1_BTR0_RMC_IMR  =================================================== */
#define CAN_BTR1_BTR0_RMC_IMR_IMR_Pos     (0UL)                     /*!< CAN BTR1_BTR0_RMC_IMR: IMR (Bit 0)                    */
#define CAN_BTR1_BTR0_RMC_IMR_IMR_Msk     (0xffUL)                  /*!< CAN BTR1_BTR0_RMC_IMR: IMR (Bitfield-Mask: 0xff)      */
#define CAN_BTR1_BTR0_RMC_IMR_RMC_Pos     (8UL)                     /*!< CAN BTR1_BTR0_RMC_IMR: RMC (Bit 8)                    */
#define CAN_BTR1_BTR0_RMC_IMR_RMC_Msk     (0xff00UL)                /*!< CAN BTR1_BTR0_RMC_IMR: RMC (Bitfield-Mask: 0xff)      */
#define CAN_BTR1_BTR0_RMC_IMR_BTR0_Pos    (16UL)                    /*!< CAN BTR1_BTR0_RMC_IMR: BTR0 (Bit 16)                  */
#define CAN_BTR1_BTR0_RMC_IMR_BTR0_Msk    (0xff0000UL)              /*!< CAN BTR1_BTR0_RMC_IMR: BTR0 (Bitfield-Mask: 0xff)     */
#define CAN_BTR1_BTR0_RMC_IMR_BTR1_Pos    (24UL)                    /*!< CAN BTR1_BTR0_RMC_IMR: BTR1 (Bit 24)                  */
#define CAN_BTR1_BTR0_RMC_IMR_BTR1_Msk    (0xff000000UL)            /*!< CAN BTR1_BTR0_RMC_IMR: BTR1 (Bitfield-Mask: 0xff)     */
/* =========================================================  TXBUF  ========================================================= */
#define CAN_TXBUF_TXBUF0_Pos              (0UL)                     /*!< CAN TXBUF: TXBUF0 (Bit 0)                             */
#define CAN_TXBUF_TXBUF0_Msk              (0xffUL)                  /*!< CAN TXBUF: TXBUF0 (Bitfield-Mask: 0xff)               */
#define CAN_TXBUF_TXBUF1_Pos              (8UL)                     /*!< CAN TXBUF: TXBUF1 (Bit 8)                             */
#define CAN_TXBUF_TXBUF1_Msk              (0xff00UL)                /*!< CAN TXBUF: TXBUF1 (Bitfield-Mask: 0xff)               */
#define CAN_TXBUF_TXBUF2_Pos              (16UL)                    /*!< CAN TXBUF: TXBUF2 (Bit 16)                            */
#define CAN_TXBUF_TXBUF2_Msk              (0xff0000UL)              /*!< CAN TXBUF: TXBUF2 (Bitfield-Mask: 0xff)               */
#define CAN_TXBUF_TXBUF3_Pos              (24UL)                    /*!< CAN TXBUF: TXBUF3 (Bit 24)                            */
#define CAN_TXBUF_TXBUF3_Msk              (0xff000000UL)            /*!< CAN TXBUF: TXBUF3 (Bitfield-Mask: 0xff)               */
/* =========================================================  RXBUF  ========================================================= */
#define CAN_RXBUF_RXBUF0_Pos              (0UL)                     /*!< CAN RXBUF: RXBUF0 (Bit 0)                             */
#define CAN_RXBUF_RXBUF0_Msk              (0xffUL)                  /*!< CAN RXBUF: RXBUF0 (Bitfield-Mask: 0xff)               */
#define CAN_RXBUF_RXBUF1_Pos              (8UL)                     /*!< CAN RXBUF: RXBUF1 (Bit 8)                             */
#define CAN_RXBUF_RXBUF1_Msk              (0xff00UL)                /*!< CAN RXBUF: RXBUF1 (Bitfield-Mask: 0xff)               */
#define CAN_RXBUF_RXBUF2_Pos              (16UL)                    /*!< CAN RXBUF: RXBUF2 (Bit 16)                            */
#define CAN_RXBUF_RXBUF2_Msk              (0xff0000UL)              /*!< CAN RXBUF: RXBUF2 (Bitfield-Mask: 0xff)               */
#define CAN_RXBUF_RXBUF3_Pos              (24UL)                    /*!< CAN RXBUF: RXBUF3 (Bit 24)                            */
#define CAN_RXBUF_RXBUF3_Msk              (0xff000000UL)            /*!< CAN RXBUF: RXBUF3 (Bitfield-Mask: 0xff)               */
/* ==========================================================  ACR  ========================================================== */
#define CAN_ACR_ACR0_Pos                  (0UL)                     /*!< CAN ACR: ACR0 (Bit 0)                                 */
#define CAN_ACR_ACR0_Msk                  (0xffUL)                  /*!< CAN ACR: ACR0 (Bitfield-Mask: 0xff)                   */
#define CAN_ACR_ACR1_Pos                  (8UL)                     /*!< CAN ACR: ACR1 (Bit 8)                                 */
#define CAN_ACR_ACR1_Msk                  (0xff00UL)                /*!< CAN ACR: ACR1 (Bitfield-Mask: 0xff)                   */
#define CAN_ACR_ACR2_Pos                  (16UL)                    /*!< CAN ACR: ACR2 (Bit 16)                                */
#define CAN_ACR_ACR2_Msk                  (0xff0000UL)              /*!< CAN ACR: ACR2 (Bitfield-Mask: 0xff)                   */
#define CAN_ACR_ACR3_Pos                  (24UL)                    /*!< CAN ACR: ACR3 (Bit 24)                                */
#define CAN_ACR_ACR3_Msk                  (0xff000000UL)            /*!< CAN ACR: ACR3 (Bitfield-Mask: 0xff)                   */
/* ==========================================================  AMR  ========================================================== */
#define CAN_AMR_AMR0_Pos                  (0UL)                     /*!< CAN AMR: AMR0 (Bit 0)                                 */
#define CAN_AMR_AMR0_Msk                  (0xffUL)                  /*!< CAN AMR: AMR0 (Bitfield-Mask: 0xff)                   */
#define CAN_AMR_AMR1_Pos                  (8UL)                     /*!< CAN AMR: AMR1 (Bit 8)                                 */
#define CAN_AMR_AMR1_Msk                  (0xff00UL)                /*!< CAN AMR: AMR1 (Bitfield-Mask: 0xff)                   */
#define CAN_AMR_AMR2_Pos                  (16UL)                    /*!< CAN AMR: AMR2 (Bit 16)                                */
#define CAN_AMR_AMR2_Msk                  (0xff0000UL)              /*!< CAN AMR: AMR2 (Bitfield-Mask: 0xff)                   */
#define CAN_AMR_AMR3_Pos                  (24UL)                    /*!< CAN AMR: AMR3 (Bit 24)                                */
#define CAN_AMR_AMR3_Msk                  (0xff000000UL)            /*!< CAN AMR: AMR3 (Bitfield-Mask: 0xff)                   */
/* ==================================================  ALC_TXERR_RXERR_ECC  ================================================== */
#define CAN_ALC_TXERR_RXERR_ECC_ECC_Pos   (0UL)                     /*!< CAN ALC_TXERR_RXERR_ECC: ECC (Bit 0)                  */
#define CAN_ALC_TXERR_RXERR_ECC_ECC_Msk   (0xffUL)                  /*!< CAN ALC_TXERR_RXERR_ECC: ECC (Bitfield-Mask: 0xff)    */
#define CAN_ALC_TXERR_RXERR_ECC_RXERR_Pos (8UL)                     /*!< CAN ALC_TXERR_RXERR_ECC: RXERR (Bit 8)                */
#define CAN_ALC_TXERR_RXERR_ECC_RXERR_Msk (0xff00UL)                /*!< CAN ALC_TXERR_RXERR_ECC: RXERR (Bitfield-Mask: 0xff)  */
#define CAN_ALC_TXERR_RXERR_ECC_TXERR_Pos (16UL)                    /*!< CAN ALC_TXERR_RXERR_ECC: TXERR (Bit 16)               */
#define CAN_ALC_TXERR_RXERR_ECC_TXERR_Msk (0xff0000UL)              /*!< CAN ALC_TXERR_RXERR_ECC: TXERR (Bitfield-Mask: 0xff)  */
#define CAN_ALC_TXERR_RXERR_ECC_ALC_Pos   (24UL)                    /*!< CAN ALC_TXERR_RXERR_ECC: ALC (Bit 24)                 */
#define CAN_ALC_TXERR_RXERR_ECC_ALC_Msk   (0xff000000UL)            /*!< CAN ALC_TXERR_RXERR_ECC: ALC (Bitfield-Mask: 0xff)    */


/* =========================================================================================================================== */
/* ================                                         GPTIMERA                                          ================ */
/* =========================================================================================================================== */

/* ==========================================================  CTL  ========================================================== */
/* ==========================================================  CTR  ========================================================== */


/* =========================================================================================================================== */
/* ================                                         GPTIMERB                                          ================ */
/* =========================================================================================================================== */

/* ==========================================================  CTL  ========================================================== */
/* ==========================================================  CTR  ========================================================== */


/* =========================================================================================================================== */
/* ================                                          MEMCTL                                           ================ */
/* =========================================================================================================================== */

/* ========================================================  MEMCTL  ========================================================= */
/* =======================================================  MEMSTATUS  ======================================================= */
/* =======================================================  FLASHLOCK  ======================================================= */
/* =======================================================  FLASHPAGE  ======================================================= */
/* =======================================================  SWDUNLOCK  ======================================================= */
/* ======================================================  FLASHERASE  ======================================================= */


/* =========================================================================================================================== */
/* ================                                            SCC                                            ================ */
/* =========================================================================================================================== */

/* ========================================================  CCSCTL  ========================================================= */
/* =======================================================  CCSPLLCTL  ======================================================= */
/* ======================================================  CCSROSCTRIM  ====================================================== */
/* =======================================================  PAMUXSEL  ======================================================== */
/* =======================================================  PBMUXSEL  ======================================================== */
/* =======================================================  PCMUXSEL  ======================================================== */
/* =======================================================  PDMUXSEL  ======================================================== */
/* =======================================================  PEMUXSEL  ======================================================== */
/* =======================================================  PFMUXSEL  ======================================================== */
/* =======================================================  PGMUXSEL  ======================================================== */
/* ========================================================  PAPUEN  ========================================================= */
/* ========================================================  PBPUEN  ========================================================= */
/* ========================================================  PCPUEN  ========================================================= */
/* ========================================================  PDPUEN  ========================================================= */
/* ========================================================  PEPUEN  ========================================================= */
/* ========================================================  PFPUEN  ========================================================= */
/* ========================================================  PGPUEN  ========================================================= */
/* ========================================================  PAPDEN  ========================================================= */
/* ========================================================  PBPDEN  ========================================================= */
/* ========================================================  PCPDEN  ========================================================= */
/* ========================================================  PDPDEN  ========================================================= */
/* ========================================================  PEPDEN  ========================================================= */
/* ========================================================  PFPDEN  ========================================================= */
/* ========================================================  PGPDEN  ========================================================= */
/* =========================================================  PADS  ========================================================== */
/* =========================================================  PBDS  ========================================================== */
/* =========================================================  PCDS  ========================================================== */
/* =========================================================  PDDS  ========================================================== */
/* =========================================================  PEDS  ========================================================== */
/* =========================================================  PFDS  ========================================================== */
/* =========================================================  PGDS  ========================================================== */


/* =========================================================================================================================== */
/* ================                                           WWDT                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  CTL  ========================================================== */
/* =========================================================  LOAD  ========================================================== */
/* ==========================================================  CTR  ========================================================== */
/* =========================================================  INTF  ========================================================== */
/* ========================================================  INTCLR  ========================================================= */
/* =========================================================  LOCK  ========================================================== */


/* =========================================================================================================================== */
/* ================                                            RTC                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  CTL  ========================================================== */
/* =========================================================  TIME  ========================================================== */
/* =========================================================  DATE  ========================================================== */
/* ========================================================  TIMESET  ======================================================== */
/* ========================================================  DATESET  ======================================================== */
/* =======================================================  ALARMSET  ======================================================== */


/* =========================================================================================================================== */
/* ================                                            CRC                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  CTL  ========================================================== */
/* ========================================================  DATAIN  ========================================================= */
/* =========================================================  SEED  ========================================================== */
/* ========================================================  DATAOUT  ======================================================== */


/* =========================================================================================================================== */
/* ================                                           GPIOA                                           ================ */
/* =========================================================================================================================== */

/* =========================================================  MODE  ========================================================== */
/* ========================================================  OUTMASK  ======================================================== */
/* ==========================================================  OUT  ========================================================== */
/* ==========================================================  IN  =========================================================== */
/* =========================================================  INTEN  ========================================================= */
/* ======================================================  INTFLAGRAW  ======================================================= */
/* =====================================================  INTFLAGMASKED  ===================================================== */
/* =======================================================  INTCLEAR  ======================================================== */
/* ========================================================  INTTYPE  ======================================================== */
/* =======================================================  INTVALUE  ======================================================== */
/* ======================================================  INTEDGEBOTH  ====================================================== */
/* =======================================================  DEBOUNCE  ======================================================== */
/* =========================================================  DOSET  ========================================================= */
/* ========================================================  DOCLEAR  ======================================================== */


/* =========================================================================================================================== */
/* ================                                           GPIOB                                           ================ */
/* =========================================================================================================================== */

/* =========================================================  MODE  ========================================================== */
/* ========================================================  OUTMASK  ======================================================== */
/* ==========================================================  OUT  ========================================================== */
/* ==========================================================  IN  =========================================================== */
/* =========================================================  INTEN  ========================================================= */
/* ======================================================  INTFLAGRAW  ======================================================= */
/* =====================================================  INTFLAGMASKED  ===================================================== */
/* =======================================================  INTCLEAR  ======================================================== */
/* ========================================================  INTTYPE  ======================================================== */
/* =======================================================  INTVALUE  ======================================================== */
/* ======================================================  INTEDGEBOTH  ====================================================== */
/* =======================================================  DEBOUNCE  ======================================================== */
/* =========================================================  DOSET  ========================================================= */
/* ========================================================  DOCLEAR  ======================================================== */


/* =========================================================================================================================== */
/* ================                                           GPIOC                                           ================ */
/* =========================================================================================================================== */

/* =========================================================  MODE  ========================================================== */
/* ========================================================  OUTMASK  ======================================================== */
/* ==========================================================  OUT  ========================================================== */
/* ==========================================================  IN  =========================================================== */
/* =========================================================  INTEN  ========================================================= */
/* ======================================================  INTFLAGRAW  ======================================================= */
/* =====================================================  INTFLAGMASKED  ===================================================== */
/* =======================================================  INTCLEAR  ======================================================== */
/* ========================================================  INTTYPE  ======================================================== */
/* =======================================================  INTVALUE  ======================================================== */
/* ======================================================  INTEDGEBOTH  ====================================================== */
/* =======================================================  DEBOUNCE  ======================================================== */
/* =========================================================  DOSET  ========================================================= */
/* ========================================================  DOCLEAR  ======================================================== */


/* =========================================================================================================================== */
/* ================                                           GPIOD                                           ================ */
/* =========================================================================================================================== */

/* =========================================================  MODE  ========================================================== */
/* ========================================================  OUTMASK  ======================================================== */
/* ==========================================================  OUT  ========================================================== */
/* ==========================================================  IN  =========================================================== */
/* =========================================================  INTEN  ========================================================= */
/* ======================================================  INTFLAGRAW  ======================================================= */
/* =====================================================  INTFLAGMASKED  ===================================================== */
/* =======================================================  INTCLEAR  ======================================================== */
/* ========================================================  INTTYPE  ======================================================== */
/* =======================================================  INTVALUE  ======================================================== */
/* ======================================================  INTEDGEBOTH  ====================================================== */
/* =======================================================  DEBOUNCE  ======================================================== */
/* =========================================================  DOSET  ========================================================= */
/* ========================================================  DOCLEAR  ======================================================== */


/* =========================================================================================================================== */
/* ================                                           GPIOE                                           ================ */
/* =========================================================================================================================== */

/* =========================================================  MODE  ========================================================== */
/* ========================================================  OUTMASK  ======================================================== */
/* ==========================================================  OUT  ========================================================== */
/* ==========================================================  IN  =========================================================== */
/* =========================================================  INTEN  ========================================================= */
/* ======================================================  INTFLAGRAW  ======================================================= */
/* =====================================================  INTFLAGMASKED  ===================================================== */
/* =======================================================  INTCLEAR  ======================================================== */
/* ========================================================  INTTYPE  ======================================================== */
/* =======================================================  INTVALUE  ======================================================== */
/* ======================================================  INTEDGEBOTH  ====================================================== */
/* =======================================================  DEBOUNCE  ======================================================== */
/* =========================================================  DOSET  ========================================================= */
/* ========================================================  DOCLEAR  ======================================================== */


/* =========================================================================================================================== */
/* ================                                           GPIOF                                           ================ */
/* =========================================================================================================================== */

/* =========================================================  MODE  ========================================================== */
/* ========================================================  OUTMASK  ======================================================== */
/* ==========================================================  OUT  ========================================================== */
/* ==========================================================  IN  =========================================================== */
/* =========================================================  INTEN  ========================================================= */
/* ======================================================  INTFLAGRAW  ======================================================= */
/* =====================================================  INTFLAGMASKED  ===================================================== */
/* =======================================================  INTCLEAR  ======================================================== */
/* ========================================================  INTTYPE  ======================================================== */
/* =======================================================  INTVALUE  ======================================================== */
/* ======================================================  INTEDGEBOTH  ====================================================== */
/* =======================================================  DEBOUNCE  ======================================================== */
/* =========================================================  DOSET  ========================================================= */
/* ========================================================  DOCLEAR  ======================================================== */


/* =========================================================================================================================== */
/* ================                                           GPIOG                                           ================ */
/* =========================================================================================================================== */

/* =========================================================  MODE  ========================================================== */
/* ========================================================  OUTMASK  ======================================================== */
/* ==========================================================  OUT  ========================================================== */
/* ==========================================================  IN  =========================================================== */
/* =========================================================  INTEN  ========================================================= */
/* ======================================================  INTFLAGRAW  ======================================================= */
/* =====================================================  INTFLAGMASKED  ===================================================== */
/* =======================================================  INTCLEAR  ======================================================== */
/* ========================================================  INTTYPE  ======================================================== */
/* =======================================================  INTVALUE  ======================================================== */
/* ======================================================  INTEDGEBOTH  ====================================================== */
/* =======================================================  DEBOUNCE  ======================================================== */
/* =========================================================  DOSET  ========================================================= */
/* ========================================================  DOCLEAR  ======================================================== */

/** @} */ /* End of group PosMask_peripherals */


#ifdef __cplusplus
}
#endif

#endif /* PAC55XX_H */


/** @} */ /* End of group PAC55XX */

/** @} */ /* End of group Active-Semi */
